package com.mortals.xhx.common.pdu.app;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

@Data
public class AppCategoryPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;
    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 分类编码
     */
    private String categoryCode;
    /**
     * 分类名称
     */
    private String categoryName;
    /**
     * 排序字段
     */
    private Integer sort;
    /**
     * 封面
     */
    private String cover;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppCategoryPdu) {
            AppCategoryPdu tmp = (AppCategoryPdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.siteName = "";

        this.categoryCode = "";

        this.categoryName = "";

        this.sort = 0;

        this.cover = "";

        this.remark = "";
    }
}
