package com.mortals.xhx.common.pdu.matter;

import com.mortals.framework.model.BaseEntityLong;

public class MatterIntermediaryPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 事项matter id
     */
    private Long matterId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 中介服务事项名称
     */
    private String title;
    /**
     * 中介服务实施机构及资质资格要求
     */
    private String intermediaryRequest;
    /**
     * 服务时限
     */
    private String intermediaryRequestTime;
    /**
     * 内容
     */
    private String remark;
    /**
     * 事项来源，(0.政务网，1.自定义)
     */
    private Integer source;



    public MatterIntermediaryPdu(){}
    /**
     * 获取 事项matter id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项matter id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 中介服务事项名称
     * @return String
     */
    public String getTitle(){
        return title;
    }
    /**
     * 设置 中介服务事项名称
     * @param title
     */
    public void setTitle(String title){
        this.title = title;
    }
    /**
     * 获取 中介服务实施机构及资质资格要求
     * @return String
     */
    public String getIntermediaryRequest(){
        return intermediaryRequest;
    }
    /**
     * 设置 中介服务实施机构及资质资格要求
     * @param intermediaryRequest
     */
    public void setIntermediaryRequest(String intermediaryRequest){
        this.intermediaryRequest = intermediaryRequest;
    }
    /**
     * 获取 服务时限
     * @return String
     */
    public String getIntermediaryRequestTime(){
        return intermediaryRequestTime;
    }
    /**
     * 设置 服务时限
     * @param intermediaryRequestTime
     */
    public void setIntermediaryRequestTime(String intermediaryRequestTime){
        this.intermediaryRequestTime = intermediaryRequestTime;
    }
    /**
     * 获取 内容
     * @return String
     */
    public String getRemark(){
        return remark;
    }
    /**
     * 设置 内容
     * @param remark
     */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
     * 获取 事项来源，(0.政务网，1.自定义)
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 事项来源，(0.政务网，1.自定义)
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterIntermediaryPdu) {
            MatterIntermediaryPdu tmp = (MatterIntermediaryPdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",title:").append(getTitle());
        sb.append(",intermediaryRequest:").append(getIntermediaryRequest());
        sb.append(",intermediaryRequestTime:").append(getIntermediaryRequestTime());
        sb.append(",remark:").append(getRemark());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.matterId = 0L;

        this.matterCode = "";

        this.matterName = "";

        this.title = "";

        this.intermediaryRequest = "";

        this.intermediaryRequestTime = "";

        this.remark = "";

        this.source = 0;
    }
}
