package com.mortals.xhx.common.pdu.site;

import com.mortals.framework.model.BaseEntityLong;

public class SiteThemeMatterPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 事项ID
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 服务类型（1.公共服务，2.个人服务，3.法人服务）
     */
    private String userType;
    /**
     * 主题编码
     */
    private String themeCode;
    /**
     * 主题名称
     */
    private String themeName;
    /**
     * 事项来源
     */
    private Integer source;



    public SiteThemeMatterPdu(){}
    /**
     * 获取 站点ID
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点ID
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 事项ID
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项ID
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 服务类型（1.公共服务，2.个人服务，3.法人服务）
     * @return String
     */
    public String getUserType(){
        return userType;
    }
    /**
     * 设置 服务类型（1.公共服务，2.个人服务，3.法人服务）
     * @param userType
     */
    public void setUserType(String userType){
        this.userType = userType;
    }
    /**
     * 获取 主题编码
     * @return String
     */
    public String getThemeCode(){
        return themeCode;
    }
    /**
     * 设置 主题编码
     * @param themeCode
     */
    public void setThemeCode(String themeCode){
        this.themeCode = themeCode;
    }
    /**
     * 获取 主题名称
     * @return String
     */
    public String getThemeName(){
        return themeName;
    }
    /**
     * 设置 主题名称
     * @param themeName
     */
    public void setThemeName(String themeName){
        this.themeName = themeName;
    }
    /**
     * 获取 事项来源
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 事项来源
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteThemeMatterPdu) {
            SiteThemeMatterPdu tmp = (SiteThemeMatterPdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",userType:").append(getUserType());
        sb.append(",themeCode:").append(getThemeCode());
        sb.append(",themeName:").append(getThemeName());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = null;

        this.matterId = null;

        this.matterName = null;

        this.matterCode = null;

        this.userType = null;

        this.themeCode = null;

        this.themeName = null;

        this.source = null;
    }
}
