package com.mortals.xhx.module.converge.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.converge.model.ConvergeAppsAccessEntity;
import com.mortals.xhx.module.converge.model.vo.AppsAccessVo;

import java.util.List;
import java.util.Map;

/**
* 应用访问Dao
* 应用访问 DAO接口
*
* @author zxfei
* @date 2023-07-03
*/

public interface  ConvergeAppsAccessDao extends ICRUDDao<ConvergeAppsAccessEntity,Long>{

    /**
     * 应用浏览量PV统计
     * @return
     */
    List<AppsAccessVo> getAppsAccessPv(Map<String,String> condition);

    /**
     * 应用浏览量UV统计
     * @return
     */
    List<AppsAccessVo> getAppsAccessUv(Map<String,String> condition);
}
