package com.mortals.xhx.module.converge.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.converge.model.ConvergeAppsAccessEntity;
/**
 * 应用访问查询对象
 *
 * @author zxfei
 * @date 2023-07-04
 */
public class ConvergeAppsAccessQuery extends ConvergeAppsAccessEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 应用ID */
    private List<String> applicationIdList;

    /** 应用ID排除列表 */
    private List <String> applicationIdNotList;
    /** 应用名称 */
    private List<String> applicationNameList;

    /** 应用名称排除列表 */
    private List <String> applicationNameNotList;
    /** 开始 应用打开时间 */
    private String startTimeStart;

    /** 结束 应用打开时间 */
    private String startTimeEnd;

    /** 开始 应用关闭时间 */
    private String endTimeStart;

    /** 结束 应用关闭时间 */
    private String endTimeEnd;

    /** 用户ID */
    private List<String> userIdList;

    /** 用户ID排除列表 */
    private List <String> userIdNotList;
    /** 用户名称 */
    private List<String> userNameList;

    /** 用户名称排除列表 */
    private List <String> userNameNotList;
    /** 渠道ID */
    private List<String> channelIdList;

    /** 渠道ID排除列表 */
    private List <String> channelIdNotList;
    /** 渠道名称 */
    private List<String> channelNameList;

    /** 渠道名称排除列表 */
    private List <String> channelNameNotList;
    /** 地域 */
    private List<String> locationList;

    /** 地域排除列表 */
    private List <String> locationNotList;
    /** 客户端名称 */
    private List<String> clientNameList;

    /** 客户端名称排除列表 */
    private List <String> clientNameNotList;
    /** 客户端版本号 */
    private List<String> versionList;

    /** 客户端版本号排除列表 */
    private List <String> versionNotList;
    /** 设备唯一标识 */
    private List<String> ecodeList;

    /** 设备唯一标识排除列表 */
    private List <String> ecodeNotList;
    /** 应用简称 */
    private List<String> appSimpleNameList;

    /** 应用简称排除列表 */
    private List <String> appSimpleNameNotList;
    /** 应用提供方 */
    private List<String> providerList;

    /** 应用提供方排除列表 */
    private List <String> providerNotList;
    /** 应用来源 */
    private List<String> originList;

    /** 应用来源排除列表 */
    private List <String> originNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConvergeAppsAccessQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConvergeAppsAccessQuery> andConditionList;

    public ConvergeAppsAccessQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 应用ID
     * @return applicationIdList
     */
    public List<String> getApplicationIdList(){
        return this.applicationIdList;
    }

    /**
     * 设置 应用ID
     * @param applicationIdList
     */
    public void setApplicationIdList(List<String> applicationIdList){
        this.applicationIdList = applicationIdList;
    }

    /**
     * 获取 应用ID
     * @return applicationIdNotList
     */
    public List<String> getApplicationIdNotList(){
        return this.applicationIdNotList;
    }

    /**
     * 设置 应用ID
     * @param applicationIdNotList
     */
    public void setApplicationIdNotList(List<String> applicationIdNotList){
        this.applicationIdNotList = applicationIdNotList;
    }

    /**
     * 获取 应用名称
     * @return applicationNameList
     */
    public List<String> getApplicationNameList(){
        return this.applicationNameList;
    }

    /**
     * 设置 应用名称
     * @param applicationNameList
     */
    public void setApplicationNameList(List<String> applicationNameList){
        this.applicationNameList = applicationNameList;
    }

    /**
     * 获取 应用名称
     * @return applicationNameNotList
     */
    public List<String> getApplicationNameNotList(){
        return this.applicationNameNotList;
    }

    /**
     * 设置 应用名称
     * @param applicationNameNotList
     */
    public void setApplicationNameNotList(List<String> applicationNameNotList){
        this.applicationNameNotList = applicationNameNotList;
    }

    /**
     * 获取 开始 应用打开时间
     * @return startTimeStart
     */
    public String getStartTimeStart(){
        return this.startTimeStart;
    }

    /**
     * 设置 开始 应用打开时间
     * @param startTimeStart
     */
    public void setStartTimeStart(String startTimeStart){
        this.startTimeStart = startTimeStart;
    }

    /**
     * 获取 结束 应用打开时间
     * @return startTimeEnd
     */
    public String getStartTimeEnd(){
        return this.startTimeEnd;
    }

    /**
     * 设置 结束 应用打开时间
     * @param startTimeEnd
     */
    public void setStartTimeEnd(String startTimeEnd){
        this.startTimeEnd = startTimeEnd;
    }

    /**
     * 获取 开始 应用关闭时间
     * @return endTimeStart
     */
    public String getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
     * 设置 开始 应用关闭时间
     * @param endTimeStart
     */
    public void setEndTimeStart(String endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
     * 获取 结束 应用关闭时间
     * @return endTimeEnd
     */
    public String getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
     * 设置 结束 应用关闭时间
     * @param endTimeEnd
     */
    public void setEndTimeEnd(String endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
     * 获取 用户ID
     * @return userIdList
     */
    public List<String> getUserIdList(){
        return this.userIdList;
    }

    /**
     * 设置 用户ID
     * @param userIdList
     */
    public void setUserIdList(List<String> userIdList){
        this.userIdList = userIdList;
    }

    /**
     * 获取 用户ID
     * @return userIdNotList
     */
    public List<String> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
     * 设置 用户ID
     * @param userIdNotList
     */
    public void setUserIdNotList(List<String> userIdNotList){
        this.userIdNotList = userIdNotList;
    }

    /**
     * 获取 用户名称
     * @return userNameList
     */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
     * 设置 用户名称
     * @param userNameList
     */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
     * 获取 用户名称
     * @return userNameNotList
     */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
     * 设置 用户名称
     * @param userNameNotList
     */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
     * 获取 渠道ID
     * @return channelIdList
     */
    public List<String> getChannelIdList(){
        return this.channelIdList;
    }

    /**
     * 设置 渠道ID
     * @param channelIdList
     */
    public void setChannelIdList(List<String> channelIdList){
        this.channelIdList = channelIdList;
    }

    /**
     * 获取 渠道ID
     * @return channelIdNotList
     */
    public List<String> getChannelIdNotList(){
        return this.channelIdNotList;
    }

    /**
     * 设置 渠道ID
     * @param channelIdNotList
     */
    public void setChannelIdNotList(List<String> channelIdNotList){
        this.channelIdNotList = channelIdNotList;
    }

    /**
     * 获取 渠道名称
     * @return channelNameList
     */
    public List<String> getChannelNameList(){
        return this.channelNameList;
    }

    /**
     * 设置 渠道名称
     * @param channelNameList
     */
    public void setChannelNameList(List<String> channelNameList){
        this.channelNameList = channelNameList;
    }

    /**
     * 获取 渠道名称
     * @return channelNameNotList
     */
    public List<String> getChannelNameNotList(){
        return this.channelNameNotList;
    }

    /**
     * 设置 渠道名称
     * @param channelNameNotList
     */
    public void setChannelNameNotList(List<String> channelNameNotList){
        this.channelNameNotList = channelNameNotList;
    }

    /**
     * 获取 地域
     * @return locationList
     */
    public List<String> getLocationList(){
        return this.locationList;
    }

    /**
     * 设置 地域
     * @param locationList
     */
    public void setLocationList(List<String> locationList){
        this.locationList = locationList;
    }

    /**
     * 获取 地域
     * @return locationNotList
     */
    public List<String> getLocationNotList(){
        return this.locationNotList;
    }

    /**
     * 设置 地域
     * @param locationNotList
     */
    public void setLocationNotList(List<String> locationNotList){
        this.locationNotList = locationNotList;
    }

    /**
     * 获取 客户端名称
     * @return clientNameList
     */
    public List<String> getClientNameList(){
        return this.clientNameList;
    }

    /**
     * 设置 客户端名称
     * @param clientNameList
     */
    public void setClientNameList(List<String> clientNameList){
        this.clientNameList = clientNameList;
    }

    /**
     * 获取 客户端名称
     * @return clientNameNotList
     */
    public List<String> getClientNameNotList(){
        return this.clientNameNotList;
    }

    /**
     * 设置 客户端名称
     * @param clientNameNotList
     */
    public void setClientNameNotList(List<String> clientNameNotList){
        this.clientNameNotList = clientNameNotList;
    }

    /**
     * 获取 客户端版本号
     * @return versionList
     */
    public List<String> getVersionList(){
        return this.versionList;
    }

    /**
     * 设置 客户端版本号
     * @param versionList
     */
    public void setVersionList(List<String> versionList){
        this.versionList = versionList;
    }

    /**
     * 获取 客户端版本号
     * @return versionNotList
     */
    public List<String> getVersionNotList(){
        return this.versionNotList;
    }

    /**
     * 设置 客户端版本号
     * @param versionNotList
     */
    public void setVersionNotList(List<String> versionNotList){
        this.versionNotList = versionNotList;
    }

    /**
     * 获取 设备唯一标识
     * @return ecodeList
     */
    public List<String> getEcodeList(){
        return this.ecodeList;
    }

    /**
     * 设置 设备唯一标识
     * @param ecodeList
     */
    public void setEcodeList(List<String> ecodeList){
        this.ecodeList = ecodeList;
    }

    /**
     * 获取 设备唯一标识
     * @return ecodeNotList
     */
    public List<String> getEcodeNotList(){
        return this.ecodeNotList;
    }

    /**
     * 设置 设备唯一标识
     * @param ecodeNotList
     */
    public void setEcodeNotList(List<String> ecodeNotList){
        this.ecodeNotList = ecodeNotList;
    }

    /**
     * 获取 应用简称
     * @return appSimpleNameList
     */
    public List<String> getAppSimpleNameList(){
        return this.appSimpleNameList;
    }

    /**
     * 设置 应用简称
     * @param appSimpleNameList
     */
    public void setAppSimpleNameList(List<String> appSimpleNameList){
        this.appSimpleNameList = appSimpleNameList;
    }

    /**
     * 获取 应用简称
     * @return appSimpleNameNotList
     */
    public List<String> getAppSimpleNameNotList(){
        return this.appSimpleNameNotList;
    }

    /**
     * 设置 应用简称
     * @param appSimpleNameNotList
     */
    public void setAppSimpleNameNotList(List<String> appSimpleNameNotList){
        this.appSimpleNameNotList = appSimpleNameNotList;
    }

    /**
     * 获取 应用提供方
     * @return providerList
     */
    public List<String> getProviderList(){
        return this.providerList;
    }

    /**
     * 设置 应用提供方
     * @param providerList
     */
    public void setProviderList(List<String> providerList){
        this.providerList = providerList;
    }

    /**
     * 获取 应用提供方
     * @return providerNotList
     */
    public List<String> getProviderNotList(){
        return this.providerNotList;
    }

    /**
     * 设置 应用提供方
     * @param providerNotList
     */
    public void setProviderNotList(List<String> providerNotList){
        this.providerNotList = providerNotList;
    }

    /**
     * 获取 应用来源
     * @return originList
     */
    public List<String> getOriginList(){
        return this.originList;
    }

    /**
     * 设置 应用来源
     * @param originList
     */
    public void setOriginList(List<String> originList){
        this.originList = originList;
    }

    /**
     * 获取 应用来源
     * @return originNotList
     */
    public List<String> getOriginNotList(){
        return this.originNotList;
    }

    /**
     * 设置 应用来源
     * @param originNotList
     */
    public void setOriginNotList(List<String> originNotList){
        this.originNotList = originNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public ConvergeAppsAccessQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public ConvergeAppsAccessQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public ConvergeAppsAccessQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public ConvergeAppsAccessQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public ConvergeAppsAccessQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public ConvergeAppsAccessQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public ConvergeAppsAccessQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public ConvergeAppsAccessQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public ConvergeAppsAccessQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public ConvergeAppsAccessQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public ConvergeAppsAccessQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public ConvergeAppsAccessQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 应用ID
     * @param applicationId
     */
    public ConvergeAppsAccessQuery applicationId(String applicationId){
        setApplicationId(applicationId);
        return this;
    }

    /**
     * 设置 应用ID
     * @param applicationIdList
     */
    public ConvergeAppsAccessQuery applicationIdList(List<String> applicationIdList){
        this.applicationIdList = applicationIdList;
        return this;
    }


    /**
     * 设置 应用名称
     * @param applicationName
     */
    public ConvergeAppsAccessQuery applicationName(String applicationName){
        setApplicationName(applicationName);
        return this;
    }

    /**
     * 设置 应用名称
     * @param applicationNameList
     */
    public ConvergeAppsAccessQuery applicationNameList(List<String> applicationNameList){
        this.applicationNameList = applicationNameList;
        return this;
    }




    /**
     * 设置 用户ID
     * @param userId
     */
    public ConvergeAppsAccessQuery userId(String userId){
        setUserId(userId);
        return this;
    }

    /**
     * 设置 用户ID
     * @param userIdList
     */
    public ConvergeAppsAccessQuery userIdList(List<String> userIdList){
        this.userIdList = userIdList;
        return this;
    }


    /**
     * 设置 用户名称
     * @param userName
     */
    public ConvergeAppsAccessQuery userName(String userName){
        setUserName(userName);
        return this;
    }

    /**
     * 设置 用户名称
     * @param userNameList
     */
    public ConvergeAppsAccessQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
        return this;
    }


    /**
     * 设置 渠道ID
     * @param channelId
     */
    public ConvergeAppsAccessQuery channelId(String channelId){
        setChannelId(channelId);
        return this;
    }

    /**
     * 设置 渠道ID
     * @param channelIdList
     */
    public ConvergeAppsAccessQuery channelIdList(List<String> channelIdList){
        this.channelIdList = channelIdList;
        return this;
    }


    /**
     * 设置 渠道名称
     * @param channelName
     */
    public ConvergeAppsAccessQuery channelName(String channelName){
        setChannelName(channelName);
        return this;
    }

    /**
     * 设置 渠道名称
     * @param channelNameList
     */
    public ConvergeAppsAccessQuery channelNameList(List<String> channelNameList){
        this.channelNameList = channelNameList;
        return this;
    }


    /**
     * 设置 地域
     * @param location
     */
    public ConvergeAppsAccessQuery location(String location){
        setLocation(location);
        return this;
    }

    /**
     * 设置 地域
     * @param locationList
     */
    public ConvergeAppsAccessQuery locationList(List<String> locationList){
        this.locationList = locationList;
        return this;
    }


    /**
     * 设置 客户端名称
     * @param clientName
     */
    public ConvergeAppsAccessQuery clientName(String clientName){
        setClientName(clientName);
        return this;
    }

    /**
     * 设置 客户端名称
     * @param clientNameList
     */
    public ConvergeAppsAccessQuery clientNameList(List<String> clientNameList){
        this.clientNameList = clientNameList;
        return this;
    }


    /**
     * 设置 客户端版本号
     * @param version
     */
    public ConvergeAppsAccessQuery version(String version){
        setVersion(version);
        return this;
    }

    /**
     * 设置 客户端版本号
     * @param versionList
     */
    public ConvergeAppsAccessQuery versionList(List<String> versionList){
        this.versionList = versionList;
        return this;
    }


    /**
     * 设置 设备唯一标识
     * @param ecode
     */
    public ConvergeAppsAccessQuery ecode(String ecode){
        setEcode(ecode);
        return this;
    }

    /**
     * 设置 设备唯一标识
     * @param ecodeList
     */
    public ConvergeAppsAccessQuery ecodeList(List<String> ecodeList){
        this.ecodeList = ecodeList;
        return this;
    }


    /**
     * 设置 应用简称
     * @param appSimpleName
     */
    public ConvergeAppsAccessQuery appSimpleName(String appSimpleName){
        setAppSimpleName(appSimpleName);
        return this;
    }

    /**
     * 设置 应用简称
     * @param appSimpleNameList
     */
    public ConvergeAppsAccessQuery appSimpleNameList(List<String> appSimpleNameList){
        this.appSimpleNameList = appSimpleNameList;
        return this;
    }


    /**
     * 设置 应用提供方
     * @param provider
     */
    public ConvergeAppsAccessQuery provider(String provider){
        setProvider(provider);
        return this;
    }

    /**
     * 设置 应用提供方
     * @param providerList
     */
    public ConvergeAppsAccessQuery providerList(List<String> providerList){
        this.providerList = providerList;
        return this;
    }


    /**
     * 设置 应用来源
     * @param origin
     */
    public ConvergeAppsAccessQuery origin(String origin){
        setOrigin(origin);
        return this;
    }

    /**
     * 设置 应用来源
     * @param originList
     */
    public ConvergeAppsAccessQuery originList(List<String> originList){
        this.originList = originList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ConvergeAppsAccessQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ConvergeAppsAccessQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ConvergeAppsAccessQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ConvergeAppsAccessQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}