package com.mortals.xhx.module.converge.model;

import java.util.List;
import com.mortals.xhx.module.converge.model.ConvergeAppsInterfaceEntity;
/**
* 应用接口查询对象
*
* @author zxfei
* @date 2023-08-17
*/
public class ConvergeAppsInterfaceQuery extends ConvergeAppsInterfaceEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 应用ID */
    private List<String> applicationIdList;

    /** 应用ID排除列表 */
    private List <String> applicationIdNotList;
    /** 接口标识 */
    private List<String> interfaceUniqueIdList;

    /** 接口标识排除列表 */
    private List <String> interfaceUniqueIdNotList;
    /** 接口名称 */
    private List<String> interfaceNameList;

    /** 接口名称排除列表 */
    private List <String> interfaceNameNotList;
    /** 开始 接口调用次数 */
    private Integer totalInvokeSumStart;

    /** 结束 接口调用次数 */
    private Integer totalInvokeSumEnd;

    /** 增加 接口调用次数 */
    private Integer totalInvokeSumIncrement;

    /** 接口调用次数列表 */
    private List <Integer> totalInvokeSumList;

    /** 接口调用次数排除列表 */
    private List <Integer> totalInvokeSumNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 设备唯一标识 */
    private List<String> ecodeList;

    /** 设备唯一标识排除列表 */
    private List <String> ecodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConvergeAppsInterfaceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConvergeAppsInterfaceQuery> andConditionList;

    public ConvergeAppsInterfaceQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 应用ID
    * @return applicationIdList
    */
    public List<String> getApplicationIdList(){
        return this.applicationIdList;
    }

    /**
    * 设置 应用ID
    * @param applicationIdList
    */
    public void setApplicationIdList(List<String> applicationIdList){
        this.applicationIdList = applicationIdList;
    }

    /**
    * 获取 应用ID
    * @return applicationIdNotList
    */
    public List<String> getApplicationIdNotList(){
        return this.applicationIdNotList;
    }

    /**
    * 设置 应用ID
    * @param applicationIdNotList
    */
    public void setApplicationIdNotList(List<String> applicationIdNotList){
        this.applicationIdNotList = applicationIdNotList;
    }

    /**
    * 获取 接口标识
    * @return interfaceUniqueIdList
    */
    public List<String> getInterfaceUniqueIdList(){
        return this.interfaceUniqueIdList;
    }

    /**
    * 设置 接口标识
    * @param interfaceUniqueIdList
    */
    public void setInterfaceUniqueIdList(List<String> interfaceUniqueIdList){
        this.interfaceUniqueIdList = interfaceUniqueIdList;
    }

    /**
    * 获取 接口标识
    * @return interfaceUniqueIdNotList
    */
    public List<String> getInterfaceUniqueIdNotList(){
        return this.interfaceUniqueIdNotList;
    }

    /**
    * 设置 接口标识
    * @param interfaceUniqueIdNotList
    */
    public void setInterfaceUniqueIdNotList(List<String> interfaceUniqueIdNotList){
        this.interfaceUniqueIdNotList = interfaceUniqueIdNotList;
    }

    /**
    * 获取 接口名称
    * @return interfaceNameList
    */
    public List<String> getInterfaceNameList(){
        return this.interfaceNameList;
    }

    /**
    * 设置 接口名称
    * @param interfaceNameList
    */
    public void setInterfaceNameList(List<String> interfaceNameList){
        this.interfaceNameList = interfaceNameList;
    }

    /**
    * 获取 接口名称
    * @return interfaceNameNotList
    */
    public List<String> getInterfaceNameNotList(){
        return this.interfaceNameNotList;
    }

    /**
    * 设置 接口名称
    * @param interfaceNameNotList
    */
    public void setInterfaceNameNotList(List<String> interfaceNameNotList){
        this.interfaceNameNotList = interfaceNameNotList;
    }

    /**
    * 获取 开始 接口调用次数
    * @return totalInvokeSumStart
    */
    public Integer getTotalInvokeSumStart(){
        return this.totalInvokeSumStart;
    }

    /**
    * 设置 开始 接口调用次数
    * @param totalInvokeSumStart
    */
    public void setTotalInvokeSumStart(Integer totalInvokeSumStart){
        this.totalInvokeSumStart = totalInvokeSumStart;
    }

    /**
    * 获取 结束 接口调用次数
    * @return $totalInvokeSumEnd
    */
    public Integer getTotalInvokeSumEnd(){
        return this.totalInvokeSumEnd;
    }

    /**
    * 设置 结束 接口调用次数
    * @param totalInvokeSumEnd
    */
    public void setTotalInvokeSumEnd(Integer totalInvokeSumEnd){
        this.totalInvokeSumEnd = totalInvokeSumEnd;
    }

    /**
    * 获取 增加 接口调用次数
    * @return totalInvokeSumIncrement
    */
    public Integer getTotalInvokeSumIncrement(){
        return this.totalInvokeSumIncrement;
    }

    /**
    * 设置 增加 接口调用次数
    * @param totalInvokeSumIncrement
    */
    public void setTotalInvokeSumIncrement(Integer totalInvokeSumIncrement){
        this.totalInvokeSumIncrement = totalInvokeSumIncrement;
    }

    /**
    * 获取 接口调用次数
    * @return totalInvokeSumList
    */
    public List<Integer> getTotalInvokeSumList(){
        return this.totalInvokeSumList;
    }

    /**
    * 设置 接口调用次数
    * @param totalInvokeSumList
    */
    public void setTotalInvokeSumList(List<Integer> totalInvokeSumList){
        this.totalInvokeSumList = totalInvokeSumList;
    }

    /**
    * 获取 接口调用次数
    * @return totalInvokeSumNotList
    */
    public List<Integer> getTotalInvokeSumNotList(){
        return this.totalInvokeSumNotList;
    }

    /**
    * 设置 接口调用次数
    * @param totalInvokeSumNotList
    */
    public void setTotalInvokeSumNotList(List<Integer> totalInvokeSumNotList){
        this.totalInvokeSumNotList = totalInvokeSumNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 设备唯一标识
    * @return ecodeList
    */
    public List<String> getEcodeList(){
        return this.ecodeList;
    }

    /**
    * 设置 设备唯一标识
    * @param ecodeList
    */
    public void setEcodeList(List<String> ecodeList){
        this.ecodeList = ecodeList;
    }

    /**
    * 获取 设备唯一标识
    * @return ecodeNotList
    */
    public List<String> getEcodeNotList(){
        return this.ecodeNotList;
    }

    /**
    * 设置 设备唯一标识
    * @param ecodeNotList
    */
    public void setEcodeNotList(List<String> ecodeNotList){
        this.ecodeNotList = ecodeNotList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public ConvergeAppsInterfaceQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public ConvergeAppsInterfaceQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public ConvergeAppsInterfaceQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public ConvergeAppsInterfaceQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public ConvergeAppsInterfaceQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public ConvergeAppsInterfaceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 应用ID
    * @param applicationId
    */
    public ConvergeAppsInterfaceQuery applicationId(String applicationId){
        setApplicationId(applicationId);
		return this;
    }

    /**
    * 设置 应用ID
    * @param applicationIdList
    */
    public ConvergeAppsInterfaceQuery applicationIdList(List<String> applicationIdList){
        this.applicationIdList = applicationIdList;
		return this;
    }


	/**
    * 设置 接口标识
    * @param interfaceUniqueId
    */
    public ConvergeAppsInterfaceQuery interfaceUniqueId(String interfaceUniqueId){
        setInterfaceUniqueId(interfaceUniqueId);
		return this;
    }

    /**
    * 设置 接口标识
    * @param interfaceUniqueIdList
    */
    public ConvergeAppsInterfaceQuery interfaceUniqueIdList(List<String> interfaceUniqueIdList){
        this.interfaceUniqueIdList = interfaceUniqueIdList;
		return this;
    }


	/**
    * 设置 接口名称
    * @param interfaceName
    */
    public ConvergeAppsInterfaceQuery interfaceName(String interfaceName){
        setInterfaceName(interfaceName);
		return this;
    }

    /**
    * 设置 接口名称
    * @param interfaceNameList
    */
    public ConvergeAppsInterfaceQuery interfaceNameList(List<String> interfaceNameList){
        this.interfaceNameList = interfaceNameList;
		return this;
    }

    /**
    * 设置  接口调用次数
    * @param totalInvokeSum
    */
    public ConvergeAppsInterfaceQuery totalInvokeSum(Integer totalInvokeSum){
	    setTotalInvokeSum(totalInvokeSum);
		return this;
    }
	
	 /**
    * 设置 开始 接口调用次数
    * @param totalInvokeSumStart
    */
    public ConvergeAppsInterfaceQuery totalInvokeSumStart(Integer totalInvokeSumStart){
		this.totalInvokeSumStart = totalInvokeSumStart;
		return this;
    }

    /**
    * 设置 结束 接口调用次数
    * @param totalInvokeSumEnd
    */
    public ConvergeAppsInterfaceQuery totalInvokeSumEnd(Integer totalInvokeSumEnd){
		this.totalInvokeSumEnd = totalInvokeSumEnd;
		return this;
    }

    /**
    * 设置 增加 接口调用次数
    * @param totalInvokeSumIncrement
    */
    public ConvergeAppsInterfaceQuery totalInvokeSumIncrement(Integer totalInvokeSumIncrement){
		this.totalInvokeSumIncrement = totalInvokeSumIncrement;
		return this;
    }

    /**
    * 设置 接口调用次数
    * @param totalInvokeSumList
    */
    public ConvergeAppsInterfaceQuery totalInvokeSumList(List<Integer> totalInvokeSumList){
        this.totalInvokeSumList = totalInvokeSumList;
		return this;
        }

        /**
        * 设置 接口调用次数
        * @param totalInvokeSumNotList
        */
        public ConvergeAppsInterfaceQuery totalInvokeSumNotList(List<Integer> totalInvokeSumNotList){
        this.totalInvokeSumNotList = totalInvokeSumNotList;
        return this;
        }



	/**
    * 设置 设备唯一标识
    * @param ecode
    */
    public ConvergeAppsInterfaceQuery ecode(String ecode){
        setEcode(ecode);
		return this;
    }

    /**
    * 设置 设备唯一标识
    * @param ecodeList
    */
    public ConvergeAppsInterfaceQuery ecodeList(List<String> ecodeList){
        this.ecodeList = ecodeList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ConvergeAppsInterfaceQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ConvergeAppsInterfaceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ConvergeAppsInterfaceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ConvergeAppsInterfaceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}