package com.mortals.xhx.module.converge.model.vo;

import lombok.Data;

@Data
public class AppsAccessVo {
    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 设备ID
     */
    private String equipmentId;
    /**
     * 应用标识，具有唯一性
     */
    private String appEname;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 应用简称
     */
    private String appSimpleName;
    /**
     * 应用提供方
     */
    private String provider;
    /**
     * 应用来源
     */
    private String origin;
    /**
     * 应用访问数
     */
    private Integer totalPv;
    /**
     * 应用访客数
     */
    private Integer totalUv;
    /**
     * 统计月份，格式yyyy-MM-dd
     */
    private String statYearMonth;

}
