package com.mortals.xhx.module.converge.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.converge.model.ConvergeDeviceEntity;
import com.mortals.xhx.module.converge.dao.ConvergeDeviceDao;
/**
* ConvergeDeviceService
*
* 网点设备 service接口
*
* @author zxfei
* @date 2023-06-12
*/
public interface ConvergeDeviceService extends ICRUDService<ConvergeDeviceEntity,Long>{

    ConvergeDeviceDao getDao();

    /**
     * 天府通办数据汇聚
     * @throws AppException
     */
    void  doConvergeDevice() throws AppException;
}