package com.mortals.xhx.module.matter.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterApplyEntity;
import com.mortals.xhx.module.matter.model.vo.MatterApplyGroupVo;

import java.util.List;
/**
* 申报事项Dao
* 申报事项 DAO接口
*
* @author zxfei
* @date 2023-04-07
*/

public interface  MatterApplyDao extends ICRUDDao<MatterApplyEntity,Long>{

    /**
     * 按部门分组
     * @param params
     * @param pageInfo
     * @return
     */
    Result<MatterApplyGroupVo> getDeptGroupList(MatterApplyEntity params, PageInfo pageInfo);

    /**
     * 按主题分组
     * @param params
     * @param pageInfo
     * @return
     */
    Result<MatterApplyGroupVo> getThemeGroupList(MatterApplyEntity params, PageInfo pageInfo);
}
