package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.DatumLibraryEntity;
/**
 * 站点材料公共库查询对象
 *
 * @author zxfei
 * @date 2023-04-11
 */
public class DatumLibraryQuery extends DatumLibraryEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id列表 */
    private List <Long> datumIdList;

    /** 材料id排除列表 */
    private List <Long> datumIdNotList;

    /** 材料简称 */
    private List<String> shortNameList;

    /** 材料简称排除列表 */
    private List <String> shortNameNotList;
    /** 材料全称 */
    private List<String> fullNameList;

    /** 材料全称排除列表 */
    private List <String> fullNameNotList;
    /** 开始 是否必要0不选1必要2非必要 */
    private Integer needTypeStart;

    /** 结束 是否必要0不选1必要2非必要 */
    private Integer needTypeEnd;

    /** 增加 是否必要0不选1必要2非必要 */
    private Integer needTypeIncrement;

    /** 是否必要0不选1必要2非必要列表 */
    private List <Integer> needTypeList;

    /** 是否必要0不选1必要2非必要排除列表 */
    private List <Integer> needTypeNotList;

    /** 开始 材料形式0不选1纸质2电子3纸质-电子 */
    private Integer datumTypeStart;

    /** 结束 材料形式0不选1纸质2电子3纸质-电子 */
    private Integer datumTypeEnd;

    /** 增加 材料形式0不选1纸质2电子3纸质-电子 */
    private Integer datumTypeIncrement;

    /** 材料形式0不选1纸质2电子3纸质-电子列表 */
    private List <Integer> datumTypeList;

    /** 材料形式0不选1纸质2电子3纸质-电子排除列表 */
    private List <Integer> datumTypeNotList;

    /** 开始 提交原件0不需要1需要 */
    private Integer needOriginalStart;

    /** 结束 提交原件0不需要1需要 */
    private Integer needOriginalEnd;

    /** 增加 提交原件0不需要1需要 */
    private Integer needOriginalIncrement;

    /** 提交原件0不需要1需要列表 */
    private List <Integer> needOriginalList;

    /** 提交原件0不需要1需要排除列表 */
    private List <Integer> needOriginalNotList;

    /** 开始 使用方式（1.拍照上传，2.在线填写) */
    private Integer uselTypeStart;

    /** 结束 使用方式（1.拍照上传，2.在线填写) */
    private Integer uselTypeEnd;

    /** 增加 使用方式（1.拍照上传，2.在线填写) */
    private Integer uselTypeIncrement;

    /** 使用方式（1.拍照上传，2.在线填写)列表 */
    private List <Integer> uselTypeList;

    /** 使用方式（1.拍照上传，2.在线填写)排除列表 */
    private List <Integer> uselTypeNotList;

    /** 开始 是否推荐（0否1是） */
    private Integer suggestStart;

    /** 结束 是否推荐（0否1是） */
    private Integer suggestEnd;

    /** 增加 是否推荐（0否1是） */
    private Integer suggestIncrement;

    /** 是否推荐（0否1是）列表 */
    private List <Integer> suggestList;

    /** 是否推荐（0否1是）排除列表 */
    private List <Integer> suggestNotList;

    /** 开始 填写次数 */
    private Integer fillSumStart;

    /** 结束 填写次数 */
    private Integer fillSumEnd;

    /** 增加 填写次数 */
    private Integer fillSumIncrement;

    /** 填写次数列表 */
    private List <Integer> fillSumList;

    /** 填写次数排除列表 */
    private List <Integer> fillSumNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DatumLibraryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DatumLibraryQuery> andConditionList;

    public DatumLibraryQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 材料id
     * @return datumIdStart
     */
    public Long getDatumIdStart(){
        return this.datumIdStart;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public void setDatumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
    }

    /**
     * 获取 结束 材料id
     * @return $datumIdEnd
     */
    public Long getDatumIdEnd(){
        return this.datumIdEnd;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public void setDatumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
    }

    /**
     * 获取 增加 材料id
     * @return datumIdIncrement
     */
    public Long getDatumIdIncrement(){
        return this.datumIdIncrement;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public void setDatumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
    }

    /**
     * 获取 材料id
     * @return datumIdList
     */
    public List<Long> getDatumIdList(){
        return this.datumIdList;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
    }

    /**
     * 获取 材料id
     * @return datumIdNotList
     */
    public List<Long> getDatumIdNotList(){
        return this.datumIdNotList;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public void setDatumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
    }


    /**
     * 获取 材料简称
     * @return shortNameList
     */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
     * 设置 材料简称
     * @param shortNameList
     */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }

    /**
     * 获取 材料简称
     * @return shortNameNotList
     */
    public List<String> getShortNameNotList(){
        return this.shortNameNotList;
    }

    /**
     * 设置 材料简称
     * @param shortNameNotList
     */
    public void setShortNameNotList(List<String> shortNameNotList){
        this.shortNameNotList = shortNameNotList;
    }

    /**
     * 获取 材料全称
     * @return fullNameList
     */
    public List<String> getFullNameList(){
        return this.fullNameList;
    }

    /**
     * 设置 材料全称
     * @param fullNameList
     */
    public void setFullNameList(List<String> fullNameList){
        this.fullNameList = fullNameList;
    }

    /**
     * 获取 材料全称
     * @return fullNameNotList
     */
    public List<String> getFullNameNotList(){
        return this.fullNameNotList;
    }

    /**
     * 设置 材料全称
     * @param fullNameNotList
     */
    public void setFullNameNotList(List<String> fullNameNotList){
        this.fullNameNotList = fullNameNotList;
    }

    /**
     * 获取 开始 是否必要0不选1必要2非必要
     * @return needTypeStart
     */
    public Integer getNeedTypeStart(){
        return this.needTypeStart;
    }

    /**
     * 设置 开始 是否必要0不选1必要2非必要
     * @param needTypeStart
     */
    public void setNeedTypeStart(Integer needTypeStart){
        this.needTypeStart = needTypeStart;
    }

    /**
     * 获取 结束 是否必要0不选1必要2非必要
     * @return $needTypeEnd
     */
    public Integer getNeedTypeEnd(){
        return this.needTypeEnd;
    }

    /**
     * 设置 结束 是否必要0不选1必要2非必要
     * @param needTypeEnd
     */
    public void setNeedTypeEnd(Integer needTypeEnd){
        this.needTypeEnd = needTypeEnd;
    }

    /**
     * 获取 增加 是否必要0不选1必要2非必要
     * @return needTypeIncrement
     */
    public Integer getNeedTypeIncrement(){
        return this.needTypeIncrement;
    }

    /**
     * 设置 增加 是否必要0不选1必要2非必要
     * @param needTypeIncrement
     */
    public void setNeedTypeIncrement(Integer needTypeIncrement){
        this.needTypeIncrement = needTypeIncrement;
    }

    /**
     * 获取 是否必要0不选1必要2非必要
     * @return needTypeList
     */
    public List<Integer> getNeedTypeList(){
        return this.needTypeList;
    }

    /**
     * 设置 是否必要0不选1必要2非必要
     * @param needTypeList
     */
    public void setNeedTypeList(List<Integer> needTypeList){
        this.needTypeList = needTypeList;
    }

    /**
     * 获取 是否必要0不选1必要2非必要
     * @return needTypeNotList
     */
    public List<Integer> getNeedTypeNotList(){
        return this.needTypeNotList;
    }

    /**
     * 设置 是否必要0不选1必要2非必要
     * @param needTypeNotList
     */
    public void setNeedTypeNotList(List<Integer> needTypeNotList){
        this.needTypeNotList = needTypeNotList;
    }


    /**
     * 获取 开始 材料形式0不选1纸质2电子3纸质-电子
     * @return datumTypeStart
     */
    public Integer getDatumTypeStart(){
        return this.datumTypeStart;
    }

    /**
     * 设置 开始 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeStart
     */
    public void setDatumTypeStart(Integer datumTypeStart){
        this.datumTypeStart = datumTypeStart;
    }

    /**
     * 获取 结束 材料形式0不选1纸质2电子3纸质-电子
     * @return $datumTypeEnd
     */
    public Integer getDatumTypeEnd(){
        return this.datumTypeEnd;
    }

    /**
     * 设置 结束 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeEnd
     */
    public void setDatumTypeEnd(Integer datumTypeEnd){
        this.datumTypeEnd = datumTypeEnd;
    }

    /**
     * 获取 增加 材料形式0不选1纸质2电子3纸质-电子
     * @return datumTypeIncrement
     */
    public Integer getDatumTypeIncrement(){
        return this.datumTypeIncrement;
    }

    /**
     * 设置 增加 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeIncrement
     */
    public void setDatumTypeIncrement(Integer datumTypeIncrement){
        this.datumTypeIncrement = datumTypeIncrement;
    }

    /**
     * 获取 材料形式0不选1纸质2电子3纸质-电子
     * @return datumTypeList
     */
    public List<Integer> getDatumTypeList(){
        return this.datumTypeList;
    }

    /**
     * 设置 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeList
     */
    public void setDatumTypeList(List<Integer> datumTypeList){
        this.datumTypeList = datumTypeList;
    }

    /**
     * 获取 材料形式0不选1纸质2电子3纸质-电子
     * @return datumTypeNotList
     */
    public List<Integer> getDatumTypeNotList(){
        return this.datumTypeNotList;
    }

    /**
     * 设置 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeNotList
     */
    public void setDatumTypeNotList(List<Integer> datumTypeNotList){
        this.datumTypeNotList = datumTypeNotList;
    }


    /**
     * 获取 开始 提交原件0不需要1需要
     * @return needOriginalStart
     */
    public Integer getNeedOriginalStart(){
        return this.needOriginalStart;
    }

    /**
     * 设置 开始 提交原件0不需要1需要
     * @param needOriginalStart
     */
    public void setNeedOriginalStart(Integer needOriginalStart){
        this.needOriginalStart = needOriginalStart;
    }

    /**
     * 获取 结束 提交原件0不需要1需要
     * @return $needOriginalEnd
     */
    public Integer getNeedOriginalEnd(){
        return this.needOriginalEnd;
    }

    /**
     * 设置 结束 提交原件0不需要1需要
     * @param needOriginalEnd
     */
    public void setNeedOriginalEnd(Integer needOriginalEnd){
        this.needOriginalEnd = needOriginalEnd;
    }

    /**
     * 获取 增加 提交原件0不需要1需要
     * @return needOriginalIncrement
     */
    public Integer getNeedOriginalIncrement(){
        return this.needOriginalIncrement;
    }

    /**
     * 设置 增加 提交原件0不需要1需要
     * @param needOriginalIncrement
     */
    public void setNeedOriginalIncrement(Integer needOriginalIncrement){
        this.needOriginalIncrement = needOriginalIncrement;
    }

    /**
     * 获取 提交原件0不需要1需要
     * @return needOriginalList
     */
    public List<Integer> getNeedOriginalList(){
        return this.needOriginalList;
    }

    /**
     * 设置 提交原件0不需要1需要
     * @param needOriginalList
     */
    public void setNeedOriginalList(List<Integer> needOriginalList){
        this.needOriginalList = needOriginalList;
    }

    /**
     * 获取 提交原件0不需要1需要
     * @return needOriginalNotList
     */
    public List<Integer> getNeedOriginalNotList(){
        return this.needOriginalNotList;
    }

    /**
     * 设置 提交原件0不需要1需要
     * @param needOriginalNotList
     */
    public void setNeedOriginalNotList(List<Integer> needOriginalNotList){
        this.needOriginalNotList = needOriginalNotList;
    }


    /**
     * 获取 开始 使用方式（1.拍照上传，2.在线填写)
     * @return uselTypeStart
     */
    public Integer getUselTypeStart(){
        return this.uselTypeStart;
    }

    /**
     * 设置 开始 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeStart
     */
    public void setUselTypeStart(Integer uselTypeStart){
        this.uselTypeStart = uselTypeStart;
    }

    /**
     * 获取 结束 使用方式（1.拍照上传，2.在线填写)
     * @return $uselTypeEnd
     */
    public Integer getUselTypeEnd(){
        return this.uselTypeEnd;
    }

    /**
     * 设置 结束 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeEnd
     */
    public void setUselTypeEnd(Integer uselTypeEnd){
        this.uselTypeEnd = uselTypeEnd;
    }

    /**
     * 获取 增加 使用方式（1.拍照上传，2.在线填写)
     * @return uselTypeIncrement
     */
    public Integer getUselTypeIncrement(){
        return this.uselTypeIncrement;
    }

    /**
     * 设置 增加 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeIncrement
     */
    public void setUselTypeIncrement(Integer uselTypeIncrement){
        this.uselTypeIncrement = uselTypeIncrement;
    }

    /**
     * 获取 使用方式（1.拍照上传，2.在线填写)
     * @return uselTypeList
     */
    public List<Integer> getUselTypeList(){
        return this.uselTypeList;
    }

    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeList
     */
    public void setUselTypeList(List<Integer> uselTypeList){
        this.uselTypeList = uselTypeList;
    }

    /**
     * 获取 使用方式（1.拍照上传，2.在线填写)
     * @return uselTypeNotList
     */
    public List<Integer> getUselTypeNotList(){
        return this.uselTypeNotList;
    }

    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeNotList
     */
    public void setUselTypeNotList(List<Integer> uselTypeNotList){
        this.uselTypeNotList = uselTypeNotList;
    }


    /**
     * 获取 开始 是否推荐（0否1是）
     * @return suggestStart
     */
    public Integer getSuggestStart(){
        return this.suggestStart;
    }

    /**
     * 设置 开始 是否推荐（0否1是）
     * @param suggestStart
     */
    public void setSuggestStart(Integer suggestStart){
        this.suggestStart = suggestStart;
    }

    /**
     * 获取 结束 是否推荐（0否1是）
     * @return $suggestEnd
     */
    public Integer getSuggestEnd(){
        return this.suggestEnd;
    }

    /**
     * 设置 结束 是否推荐（0否1是）
     * @param suggestEnd
     */
    public void setSuggestEnd(Integer suggestEnd){
        this.suggestEnd = suggestEnd;
    }

    /**
     * 获取 增加 是否推荐（0否1是）
     * @return suggestIncrement
     */
    public Integer getSuggestIncrement(){
        return this.suggestIncrement;
    }

    /**
     * 设置 增加 是否推荐（0否1是）
     * @param suggestIncrement
     */
    public void setSuggestIncrement(Integer suggestIncrement){
        this.suggestIncrement = suggestIncrement;
    }

    /**
     * 获取 是否推荐（0否1是）
     * @return suggestList
     */
    public List<Integer> getSuggestList(){
        return this.suggestList;
    }

    /**
     * 设置 是否推荐（0否1是）
     * @param suggestList
     */
    public void setSuggestList(List<Integer> suggestList){
        this.suggestList = suggestList;
    }

    /**
     * 获取 是否推荐（0否1是）
     * @return suggestNotList
     */
    public List<Integer> getSuggestNotList(){
        return this.suggestNotList;
    }

    /**
     * 设置 是否推荐（0否1是）
     * @param suggestNotList
     */
    public void setSuggestNotList(List<Integer> suggestNotList){
        this.suggestNotList = suggestNotList;
    }


    /**
     * 获取 开始 填写次数
     * @return fillSumStart
     */
    public Integer getFillSumStart(){
        return this.fillSumStart;
    }

    /**
     * 设置 开始 填写次数
     * @param fillSumStart
     */
    public void setFillSumStart(Integer fillSumStart){
        this.fillSumStart = fillSumStart;
    }

    /**
     * 获取 结束 填写次数
     * @return $fillSumEnd
     */
    public Integer getFillSumEnd(){
        return this.fillSumEnd;
    }

    /**
     * 设置 结束 填写次数
     * @param fillSumEnd
     */
    public void setFillSumEnd(Integer fillSumEnd){
        this.fillSumEnd = fillSumEnd;
    }

    /**
     * 获取 增加 填写次数
     * @return fillSumIncrement
     */
    public Integer getFillSumIncrement(){
        return this.fillSumIncrement;
    }

    /**
     * 设置 增加 填写次数
     * @param fillSumIncrement
     */
    public void setFillSumIncrement(Integer fillSumIncrement){
        this.fillSumIncrement = fillSumIncrement;
    }

    /**
     * 获取 填写次数
     * @return fillSumList
     */
    public List<Integer> getFillSumList(){
        return this.fillSumList;
    }

    /**
     * 设置 填写次数
     * @param fillSumList
     */
    public void setFillSumList(List<Integer> fillSumList){
        this.fillSumList = fillSumList;
    }

    /**
     * 获取 填写次数
     * @return fillSumNotList
     */
    public List<Integer> getFillSumNotList(){
        return this.fillSumNotList;
    }

    /**
     * 设置 填写次数
     * @param fillSumNotList
     */
    public void setFillSumNotList(List<Integer> fillSumNotList){
        this.fillSumNotList = fillSumNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public DatumLibraryQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public DatumLibraryQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public DatumLibraryQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public DatumLibraryQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public DatumLibraryQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public DatumLibraryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public DatumLibraryQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public DatumLibraryQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public DatumLibraryQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public DatumLibraryQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public DatumLibraryQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public DatumLibraryQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public DatumLibraryQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public DatumLibraryQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  材料id
     * @param datumId
     */
    public DatumLibraryQuery datumId(Long datumId){
        setDatumId(datumId);
        return this;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public DatumLibraryQuery datumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
        return this;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public DatumLibraryQuery datumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public DatumLibraryQuery datumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public DatumLibraryQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public DatumLibraryQuery datumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
        return this;
    }


    /**
     * 设置 材料简称
     * @param shortName
     */
    public DatumLibraryQuery shortName(String shortName){
        setShortName(shortName);
        return this;
    }

    /**
     * 设置 材料简称
     * @param shortNameList
     */
    public DatumLibraryQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
        return this;
    }


    /**
     * 设置 材料全称
     * @param fullName
     */
    public DatumLibraryQuery fullName(String fullName){
        setFullName(fullName);
        return this;
    }

    /**
     * 设置 材料全称
     * @param fullNameList
     */
    public DatumLibraryQuery fullNameList(List<String> fullNameList){
        this.fullNameList = fullNameList;
        return this;
    }

    /**
     * 设置  是否必要0不选1必要2非必要
     * @param needType
     */
    public DatumLibraryQuery needType(Integer needType){
        setNeedType(needType);
        return this;
    }

    /**
     * 设置 开始 是否必要0不选1必要2非必要
     * @param needTypeStart
     */
    public DatumLibraryQuery needTypeStart(Integer needTypeStart){
        this.needTypeStart = needTypeStart;
        return this;
    }

    /**
     * 设置 结束 是否必要0不选1必要2非必要
     * @param needTypeEnd
     */
    public DatumLibraryQuery needTypeEnd(Integer needTypeEnd){
        this.needTypeEnd = needTypeEnd;
        return this;
    }

    /**
     * 设置 增加 是否必要0不选1必要2非必要
     * @param needTypeIncrement
     */
    public DatumLibraryQuery needTypeIncrement(Integer needTypeIncrement){
        this.needTypeIncrement = needTypeIncrement;
        return this;
    }

    /**
     * 设置 是否必要0不选1必要2非必要
     * @param needTypeList
     */
    public DatumLibraryQuery needTypeList(List<Integer> needTypeList){
        this.needTypeList = needTypeList;
        return this;
    }

    /**
     * 设置 是否必要0不选1必要2非必要
     * @param needTypeNotList
     */
    public DatumLibraryQuery needTypeNotList(List<Integer> needTypeNotList){
        this.needTypeNotList = needTypeNotList;
        return this;
    }

    /**
     * 设置  材料形式0不选1纸质2电子3纸质-电子
     * @param datumType
     */
    public DatumLibraryQuery datumType(Integer datumType){
        setDatumType(datumType);
        return this;
    }

    /**
     * 设置 开始 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeStart
     */
    public DatumLibraryQuery datumTypeStart(Integer datumTypeStart){
        this.datumTypeStart = datumTypeStart;
        return this;
    }

    /**
     * 设置 结束 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeEnd
     */
    public DatumLibraryQuery datumTypeEnd(Integer datumTypeEnd){
        this.datumTypeEnd = datumTypeEnd;
        return this;
    }

    /**
     * 设置 增加 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeIncrement
     */
    public DatumLibraryQuery datumTypeIncrement(Integer datumTypeIncrement){
        this.datumTypeIncrement = datumTypeIncrement;
        return this;
    }

    /**
     * 设置 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeList
     */
    public DatumLibraryQuery datumTypeList(List<Integer> datumTypeList){
        this.datumTypeList = datumTypeList;
        return this;
    }

    /**
     * 设置 材料形式0不选1纸质2电子3纸质-电子
     * @param datumTypeNotList
     */
    public DatumLibraryQuery datumTypeNotList(List<Integer> datumTypeNotList){
        this.datumTypeNotList = datumTypeNotList;
        return this;
    }

    /**
     * 设置  提交原件0不需要1需要
     * @param needOriginal
     */
    public DatumLibraryQuery needOriginal(Integer needOriginal){
        setNeedOriginal(needOriginal);
        return this;
    }

    /**
     * 设置 开始 提交原件0不需要1需要
     * @param needOriginalStart
     */
    public DatumLibraryQuery needOriginalStart(Integer needOriginalStart){
        this.needOriginalStart = needOriginalStart;
        return this;
    }

    /**
     * 设置 结束 提交原件0不需要1需要
     * @param needOriginalEnd
     */
    public DatumLibraryQuery needOriginalEnd(Integer needOriginalEnd){
        this.needOriginalEnd = needOriginalEnd;
        return this;
    }

    /**
     * 设置 增加 提交原件0不需要1需要
     * @param needOriginalIncrement
     */
    public DatumLibraryQuery needOriginalIncrement(Integer needOriginalIncrement){
        this.needOriginalIncrement = needOriginalIncrement;
        return this;
    }

    /**
     * 设置 提交原件0不需要1需要
     * @param needOriginalList
     */
    public DatumLibraryQuery needOriginalList(List<Integer> needOriginalList){
        this.needOriginalList = needOriginalList;
        return this;
    }

    /**
     * 设置 提交原件0不需要1需要
     * @param needOriginalNotList
     */
    public DatumLibraryQuery needOriginalNotList(List<Integer> needOriginalNotList){
        this.needOriginalNotList = needOriginalNotList;
        return this;
    }

    /**
     * 设置  使用方式（1.拍照上传，2.在线填写)
     * @param uselType
     */
    public DatumLibraryQuery uselType(Integer uselType){
        setUselType(uselType);
        return this;
    }

    /**
     * 设置 开始 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeStart
     */
    public DatumLibraryQuery uselTypeStart(Integer uselTypeStart){
        this.uselTypeStart = uselTypeStart;
        return this;
    }

    /**
     * 设置 结束 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeEnd
     */
    public DatumLibraryQuery uselTypeEnd(Integer uselTypeEnd){
        this.uselTypeEnd = uselTypeEnd;
        return this;
    }

    /**
     * 设置 增加 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeIncrement
     */
    public DatumLibraryQuery uselTypeIncrement(Integer uselTypeIncrement){
        this.uselTypeIncrement = uselTypeIncrement;
        return this;
    }

    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeList
     */
    public DatumLibraryQuery uselTypeList(List<Integer> uselTypeList){
        this.uselTypeList = uselTypeList;
        return this;
    }

    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselTypeNotList
     */
    public DatumLibraryQuery uselTypeNotList(List<Integer> uselTypeNotList){
        this.uselTypeNotList = uselTypeNotList;
        return this;
    }

    /**
     * 设置  是否推荐（0否1是）
     * @param suggest
     */
    public DatumLibraryQuery suggest(Integer suggest){
        setSuggest(suggest);
        return this;
    }

    /**
     * 设置 开始 是否推荐（0否1是）
     * @param suggestStart
     */
    public DatumLibraryQuery suggestStart(Integer suggestStart){
        this.suggestStart = suggestStart;
        return this;
    }

    /**
     * 设置 结束 是否推荐（0否1是）
     * @param suggestEnd
     */
    public DatumLibraryQuery suggestEnd(Integer suggestEnd){
        this.suggestEnd = suggestEnd;
        return this;
    }

    /**
     * 设置 增加 是否推荐（0否1是）
     * @param suggestIncrement
     */
    public DatumLibraryQuery suggestIncrement(Integer suggestIncrement){
        this.suggestIncrement = suggestIncrement;
        return this;
    }

    /**
     * 设置 是否推荐（0否1是）
     * @param suggestList
     */
    public DatumLibraryQuery suggestList(List<Integer> suggestList){
        this.suggestList = suggestList;
        return this;
    }

    /**
     * 设置 是否推荐（0否1是）
     * @param suggestNotList
     */
    public DatumLibraryQuery suggestNotList(List<Integer> suggestNotList){
        this.suggestNotList = suggestNotList;
        return this;
    }

    /**
     * 设置  填写次数
     * @param fillSum
     */
    public DatumLibraryQuery fillSum(Integer fillSum){
        setFillSum(fillSum);
        return this;
    }

    /**
     * 设置 开始 填写次数
     * @param fillSumStart
     */
    public DatumLibraryQuery fillSumStart(Integer fillSumStart){
        this.fillSumStart = fillSumStart;
        return this;
    }

    /**
     * 设置 结束 填写次数
     * @param fillSumEnd
     */
    public DatumLibraryQuery fillSumEnd(Integer fillSumEnd){
        this.fillSumEnd = fillSumEnd;
        return this;
    }

    /**
     * 设置 增加 填写次数
     * @param fillSumIncrement
     */
    public DatumLibraryQuery fillSumIncrement(Integer fillSumIncrement){
        this.fillSumIncrement = fillSumIncrement;
        return this;
    }

    /**
     * 设置 填写次数
     * @param fillSumList
     */
    public DatumLibraryQuery fillSumList(List<Integer> fillSumList){
        this.fillSumList = fillSumList;
        return this;
    }

    /**
     * 设置 填写次数
     * @param fillSumNotList
     */
    public DatumLibraryQuery fillSumNotList(List<Integer> fillSumNotList){
        this.fillSumNotList = fillSumNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DatumLibraryQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DatumLibraryQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DatumLibraryQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DatumLibraryQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DatumLibraryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DatumLibraryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DatumLibraryQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DatumLibraryQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DatumLibraryQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DatumLibraryQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DatumLibraryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DatumLibraryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DatumLibraryQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DatumLibraryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DatumLibraryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DatumLibraryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}