package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterDatumFileEntity;
/**
 * 材料附件查询对象
 *
 * @author zxfei
 * @date 2023-04-10
 */
public class MatterDatumFileQuery extends MatterDatumFileEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id列表 */
    private List <Long> datumIdList;

    /** 材料id排除列表 */
    private List <Long> datumIdNotList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 附件名称 */
    private List<String> fileNameList;

    /** 附件名称排除列表 */
    private List <String> fileNameNotList;
    /** 开始 附件类型 (1.示例样表，2.空白表格) */
    private Integer filetypeStart;

    /** 结束 附件类型 (1.示例样表，2.空白表格) */
    private Integer filetypeEnd;

    /** 增加 附件类型 (1.示例样表，2.空白表格) */
    private Integer filetypeIncrement;

    /** 附件类型 (1.示例样表，2.空白表格)列表 */
    private List <Integer> filetypeList;

    /** 附件类型 (1.示例样表，2.空白表格)排除列表 */
    private List <Integer> filetypeNotList;

    /** 模板地址 */
    private List<String> templatePathList;

    /** 模板地址排除列表 */
    private List <String> templatePathNotList;
    /** 样表地址 */
    private List<String> samplePathList;

    /** 样表地址排除列表 */
    private List <String> samplePathNotList;
    /** 样表预览地址 */
    private List<String> previewUrlList;

    /** 样表预览地址排除列表 */
    private List <String> previewUrlNotList;
    /** 模板表单内容 */
    private List<String> formContentList;

    /** 模板表单内容排除列表 */
    private List <String> formContentNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumFileQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumFileQuery> andConditionList;

    public MatterDatumFileQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 材料id
     * @return datumIdStart
     */
    public Long getDatumIdStart(){
        return this.datumIdStart;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public void setDatumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
    }

    /**
     * 获取 结束 材料id
     * @return $datumIdEnd
     */
    public Long getDatumIdEnd(){
        return this.datumIdEnd;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public void setDatumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
    }

    /**
     * 获取 增加 材料id
     * @return datumIdIncrement
     */
    public Long getDatumIdIncrement(){
        return this.datumIdIncrement;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public void setDatumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
    }

    /**
     * 获取 材料id
     * @return datumIdList
     */
    public List<Long> getDatumIdList(){
        return this.datumIdList;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
    }

    /**
     * 获取 材料id
     * @return datumIdNotList
     */
    public List<Long> getDatumIdNotList(){
        return this.datumIdNotList;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public void setDatumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
    }


    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 附件名称
     * @return fileNameList
     */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
     * 设置 附件名称
     * @param fileNameList
     */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
     * 获取 附件名称
     * @return fileNameNotList
     */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
     * 设置 附件名称
     * @param fileNameNotList
     */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
     * 获取 开始 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeStart
     */
    public Integer getFiletypeStart(){
        return this.filetypeStart;
    }

    /**
     * 设置 开始 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeStart
     */
    public void setFiletypeStart(Integer filetypeStart){
        this.filetypeStart = filetypeStart;
    }

    /**
     * 获取 结束 附件类型 (1.示例样表，2.空白表格)
     * @return $filetypeEnd
     */
    public Integer getFiletypeEnd(){
        return this.filetypeEnd;
    }

    /**
     * 设置 结束 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeEnd
     */
    public void setFiletypeEnd(Integer filetypeEnd){
        this.filetypeEnd = filetypeEnd;
    }

    /**
     * 获取 增加 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeIncrement
     */
    public Integer getFiletypeIncrement(){
        return this.filetypeIncrement;
    }

    /**
     * 设置 增加 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeIncrement
     */
    public void setFiletypeIncrement(Integer filetypeIncrement){
        this.filetypeIncrement = filetypeIncrement;
    }

    /**
     * 获取 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeList
     */
    public List<Integer> getFiletypeList(){
        return this.filetypeList;
    }

    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeList
     */
    public void setFiletypeList(List<Integer> filetypeList){
        this.filetypeList = filetypeList;
    }

    /**
     * 获取 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeNotList
     */
    public List<Integer> getFiletypeNotList(){
        return this.filetypeNotList;
    }

    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeNotList
     */
    public void setFiletypeNotList(List<Integer> filetypeNotList){
        this.filetypeNotList = filetypeNotList;
    }


    /**
     * 获取 模板地址
     * @return templatePathList
     */
    public List<String> getTemplatePathList(){
        return this.templatePathList;
    }

    /**
     * 设置 模板地址
     * @param templatePathList
     */
    public void setTemplatePathList(List<String> templatePathList){
        this.templatePathList = templatePathList;
    }

    /**
     * 获取 模板地址
     * @return templatePathNotList
     */
    public List<String> getTemplatePathNotList(){
        return this.templatePathNotList;
    }

    /**
     * 设置 模板地址
     * @param templatePathNotList
     */
    public void setTemplatePathNotList(List<String> templatePathNotList){
        this.templatePathNotList = templatePathNotList;
    }

    /**
     * 获取 样表地址
     * @return samplePathList
     */
    public List<String> getSamplePathList(){
        return this.samplePathList;
    }

    /**
     * 设置 样表地址
     * @param samplePathList
     */
    public void setSamplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
    }

    /**
     * 获取 样表地址
     * @return samplePathNotList
     */
    public List<String> getSamplePathNotList(){
        return this.samplePathNotList;
    }

    /**
     * 设置 样表地址
     * @param samplePathNotList
     */
    public void setSamplePathNotList(List<String> samplePathNotList){
        this.samplePathNotList = samplePathNotList;
    }

    /**
     * 获取 样表预览地址
     * @return previewUrlList
     */
    public List<String> getPreviewUrlList(){
        return this.previewUrlList;
    }

    /**
     * 设置 样表预览地址
     * @param previewUrlList
     */
    public void setPreviewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
    }

    /**
     * 获取 样表预览地址
     * @return previewUrlNotList
     */
    public List<String> getPreviewUrlNotList(){
        return this.previewUrlNotList;
    }

    /**
     * 设置 样表预览地址
     * @param previewUrlNotList
     */
    public void setPreviewUrlNotList(List<String> previewUrlNotList){
        this.previewUrlNotList = previewUrlNotList;
    }

    /**
     * 获取 模板表单内容
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 模板表单内容
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 模板表单内容
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 模板表单内容
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public MatterDatumFileQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public MatterDatumFileQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public MatterDatumFileQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public MatterDatumFileQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public MatterDatumFileQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public MatterDatumFileQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  材料id
     * @param datumId
     */
    public MatterDatumFileQuery datumId(Long datumId){
        setDatumId(datumId);
        return this;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public MatterDatumFileQuery datumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
        return this;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public MatterDatumFileQuery datumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public MatterDatumFileQuery datumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public MatterDatumFileQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public MatterDatumFileQuery datumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public MatterDatumFileQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public MatterDatumFileQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public MatterDatumFileQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public MatterDatumFileQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public MatterDatumFileQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public MatterDatumFileQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public MatterDatumFileQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public MatterDatumFileQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 附件名称
     * @param fileName
     */
    public MatterDatumFileQuery fileName(String fileName){
        setFileName(fileName);
        return this;
    }

    /**
     * 设置 附件名称
     * @param fileNameList
     */
    public MatterDatumFileQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
        return this;
    }

    /**
     * 设置  附件类型 (1.示例样表，2.空白表格)
     * @param filetype
     */
    public MatterDatumFileQuery filetype(Integer filetype){
        setFiletype(filetype);
        return this;
    }

    /**
     * 设置 开始 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeStart
     */
    public MatterDatumFileQuery filetypeStart(Integer filetypeStart){
        this.filetypeStart = filetypeStart;
        return this;
    }

    /**
     * 设置 结束 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeEnd
     */
    public MatterDatumFileQuery filetypeEnd(Integer filetypeEnd){
        this.filetypeEnd = filetypeEnd;
        return this;
    }

    /**
     * 设置 增加 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeIncrement
     */
    public MatterDatumFileQuery filetypeIncrement(Integer filetypeIncrement){
        this.filetypeIncrement = filetypeIncrement;
        return this;
    }

    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeList
     */
    public MatterDatumFileQuery filetypeList(List<Integer> filetypeList){
        this.filetypeList = filetypeList;
        return this;
    }

    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeNotList
     */
    public MatterDatumFileQuery filetypeNotList(List<Integer> filetypeNotList){
        this.filetypeNotList = filetypeNotList;
        return this;
    }


    /**
     * 设置 模板地址
     * @param templatePath
     */
    public MatterDatumFileQuery templatePath(String templatePath){
        setTemplatePath(templatePath);
        return this;
    }

    /**
     * 设置 模板地址
     * @param templatePathList
     */
    public MatterDatumFileQuery templatePathList(List<String> templatePathList){
        this.templatePathList = templatePathList;
        return this;
    }


    /**
     * 设置 样表地址
     * @param samplePath
     */
    public MatterDatumFileQuery samplePath(String samplePath){
        setSamplePath(samplePath);
        return this;
    }

    /**
     * 设置 样表地址
     * @param samplePathList
     */
    public MatterDatumFileQuery samplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
        return this;
    }


    /**
     * 设置 样表预览地址
     * @param previewUrl
     */
    public MatterDatumFileQuery previewUrl(String previewUrl){
        setPreviewUrl(previewUrl);
        return this;
    }

    /**
     * 设置 样表预览地址
     * @param previewUrlList
     */
    public MatterDatumFileQuery previewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
        return this;
    }


    /**
     * 设置 模板表单内容
     * @param formContent
     */
    public MatterDatumFileQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 模板表单内容
     * @param formContentList
     */
    public MatterDatumFileQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterDatumFileQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterDatumFileQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterDatumFileQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterDatumFileQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterDatumFileQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public MatterDatumFileQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public MatterDatumFileQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public MatterDatumFileQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public MatterDatumFileQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public MatterDatumFileQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public MatterDatumFileQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public MatterDatumFileQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterDatumFileQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterDatumFileQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterDatumFileQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterDatumFileQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}