package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.matter.model.UserMatterApplyEntity;
/**
* 用户申报信息查询对象
*
* @author zxfei
* @date 2023-04-11
*/
public class UserMatterApplyQuery extends UserMatterApplyEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long userIdStart;

    /** 结束 站点id */
    private Long userIdEnd;

    /** 增加 站点id */
    private Long userIdIncrement;

    /** 站点id列表 */
    private List <Long> userIdList;

    /** 站点id排除列表 */
    private List <Long> userIdNotList;

    /** 开始 事项ID */
    private Long matterIdStart;

    /** 结束 事项ID */
    private Long matterIdEnd;

    /** 增加 事项ID */
    private Long matterIdIncrement;

    /** 事项ID列表 */
    private List <Long> matterIdList;

    /** 事项ID排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 申报编号 */
    private List<String> applyCodeList;

    /** 申报编号排除列表 */
    private List <String> applyCodeNotList;
    /** 申报地址 */
    private List<String> applyAddrList;

    /** 申报地址排除列表 */
    private List <String> applyAddrNotList;
    /** 申报设备名称 */
    private List<String> deviceNameList;

    /** 申报设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 申请人姓名 */
    private List<String> applyPersonList;

    /** 申请人姓名排除列表 */
    private List <String> applyPersonNotList;
    /** 联系电话 */
    private List<String> phoneNumList;

    /** 联系电话排除列表 */
    private List <String> phoneNumNotList;
    /** 证件号码 */
    private List<String> idCardList;

    /** 证件号码排除列表 */
    private List <String> idCardNotList;
    /** 事项所属部门 */
    private List<String> deptNameList;

    /** 事项所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 开始 申报时间 */
    private String applyDateStart;

    /** 结束 申报时间 */
    private String applyDateEnd;

    /** 开始 受理状态0未受理1已受理 */
    private Integer statusStart;

    /** 结束 受理状态0未受理1已受理 */
    private Integer statusEnd;

    /** 增加 受理状态0未受理1已受理 */
    private Integer statusIncrement;

    /** 受理状态0未受理1已受理列表 */
    private List <Integer> statusList;

    /** 受理状态0未受理1已受理排除列表 */
    private List <Integer> statusNotList;

    /** 申报方式 */
    private List<String> applyWayList;

    /** 申报方式排除列表 */
    private List <String> applyWayNotList;
    /** 存储设备 */
    private List<String> storeDeviceList;

    /** 存储设备排除列表 */
    private List <String> storeDeviceNotList;
    /** 箱体编号 */
    private List<String> boxNumList;

    /** 箱体编号排除列表 */
    private List <String> boxNumNotList;
    /** 开始 存件时间 */
    private String storeDateStart;

    /** 结束 存件时间 */
    private String storeDateEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UserMatterApplyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UserMatterApplyQuery> andConditionList;

    public UserMatterApplyQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点id
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 站点id
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 站点id
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 站点id
    * @return userIdNotList
    */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
    * 设置 站点id
    * @param userIdNotList
    */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
    * 获取 开始 事项ID
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项ID
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项ID
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项ID
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项ID
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项ID
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项ID
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项ID
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项ID
    * @return matterIdNotList
    */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
    * 设置 事项ID
    * @param matterIdNotList
    */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
    * 获取 事项名称
    * @return matterNameNotList
    */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
    * 设置 事项名称
    * @param matterNameNotList
    */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeNotList
    */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeNotList
    */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
    * 获取 申报编号
    * @return applyCodeList
    */
    public List<String> getApplyCodeList(){
        return this.applyCodeList;
    }

    /**
    * 设置 申报编号
    * @param applyCodeList
    */
    public void setApplyCodeList(List<String> applyCodeList){
        this.applyCodeList = applyCodeList;
    }

    /**
    * 获取 申报编号
    * @return applyCodeNotList
    */
    public List<String> getApplyCodeNotList(){
        return this.applyCodeNotList;
    }

    /**
    * 设置 申报编号
    * @param applyCodeNotList
    */
    public void setApplyCodeNotList(List<String> applyCodeNotList){
        this.applyCodeNotList = applyCodeNotList;
    }

    /**
    * 获取 申报地址
    * @return applyAddrList
    */
    public List<String> getApplyAddrList(){
        return this.applyAddrList;
    }

    /**
    * 设置 申报地址
    * @param applyAddrList
    */
    public void setApplyAddrList(List<String> applyAddrList){
        this.applyAddrList = applyAddrList;
    }

    /**
    * 获取 申报地址
    * @return applyAddrNotList
    */
    public List<String> getApplyAddrNotList(){
        return this.applyAddrNotList;
    }

    /**
    * 设置 申报地址
    * @param applyAddrNotList
    */
    public void setApplyAddrNotList(List<String> applyAddrNotList){
        this.applyAddrNotList = applyAddrNotList;
    }

    /**
    * 获取 申报设备名称
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 申报设备名称
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
    * 获取 申报设备名称
    * @return deviceNameNotList
    */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
    * 设置 申报设备名称
    * @param deviceNameNotList
    */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
    * 获取 申请人姓名
    * @return applyPersonList
    */
    public List<String> getApplyPersonList(){
        return this.applyPersonList;
    }

    /**
    * 设置 申请人姓名
    * @param applyPersonList
    */
    public void setApplyPersonList(List<String> applyPersonList){
        this.applyPersonList = applyPersonList;
    }

    /**
    * 获取 申请人姓名
    * @return applyPersonNotList
    */
    public List<String> getApplyPersonNotList(){
        return this.applyPersonNotList;
    }

    /**
    * 设置 申请人姓名
    * @param applyPersonNotList
    */
    public void setApplyPersonNotList(List<String> applyPersonNotList){
        this.applyPersonNotList = applyPersonNotList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumList
    */
    public List<String> getPhoneNumList(){
        return this.phoneNumList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumList
    */
    public void setPhoneNumList(List<String> phoneNumList){
        this.phoneNumList = phoneNumList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumNotList
    */
    public List<String> getPhoneNumNotList(){
        return this.phoneNumNotList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumNotList
    */
    public void setPhoneNumNotList(List<String> phoneNumNotList){
        this.phoneNumNotList = phoneNumNotList;
    }

    /**
    * 获取 证件号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 证件号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 证件号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 证件号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 事项所属部门
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 事项所属部门
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 事项所属部门
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 事项所属部门
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 申报时间
    * @return applyDateStart
    */
    public String getApplyDateStart(){
        return this.applyDateStart;
    }

    /**
    * 设置 开始 申报时间
    * @param applyDateStart
    */
    public void setApplyDateStart(String applyDateStart){
        this.applyDateStart = applyDateStart;
    }

    /**
    * 获取 结束 申报时间
    * @return applyDateEnd
    */
    public String getApplyDateEnd(){
        return this.applyDateEnd;
    }

    /**
    * 设置 结束 申报时间
    * @param applyDateEnd
    */
    public void setApplyDateEnd(String applyDateEnd){
        this.applyDateEnd = applyDateEnd;
    }

    /**
    * 获取 开始 受理状态0未受理1已受理
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 受理状态0未受理1已受理
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 受理状态0未受理1已受理
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 受理状态0未受理1已受理
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 受理状态0未受理1已受理
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 受理状态0未受理1已受理
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 受理状态0未受理1已受理
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 受理状态0未受理1已受理
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 受理状态0未受理1已受理
    * @return statusNotList
    */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 受理状态0未受理1已受理
    * @param statusNotList
    */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
    * 获取 申报方式
    * @return applyWayList
    */
    public List<String> getApplyWayList(){
        return this.applyWayList;
    }

    /**
    * 设置 申报方式
    * @param applyWayList
    */
    public void setApplyWayList(List<String> applyWayList){
        this.applyWayList = applyWayList;
    }

    /**
    * 获取 申报方式
    * @return applyWayNotList
    */
    public List<String> getApplyWayNotList(){
        return this.applyWayNotList;
    }

    /**
    * 设置 申报方式
    * @param applyWayNotList
    */
    public void setApplyWayNotList(List<String> applyWayNotList){
        this.applyWayNotList = applyWayNotList;
    }

    /**
    * 获取 存储设备
    * @return storeDeviceList
    */
    public List<String> getStoreDeviceList(){
        return this.storeDeviceList;
    }

    /**
    * 设置 存储设备
    * @param storeDeviceList
    */
    public void setStoreDeviceList(List<String> storeDeviceList){
        this.storeDeviceList = storeDeviceList;
    }

    /**
    * 获取 存储设备
    * @return storeDeviceNotList
    */
    public List<String> getStoreDeviceNotList(){
        return this.storeDeviceNotList;
    }

    /**
    * 设置 存储设备
    * @param storeDeviceNotList
    */
    public void setStoreDeviceNotList(List<String> storeDeviceNotList){
        this.storeDeviceNotList = storeDeviceNotList;
    }

    /**
    * 获取 箱体编号
    * @return boxNumList
    */
    public List<String> getBoxNumList(){
        return this.boxNumList;
    }

    /**
    * 设置 箱体编号
    * @param boxNumList
    */
    public void setBoxNumList(List<String> boxNumList){
        this.boxNumList = boxNumList;
    }

    /**
    * 获取 箱体编号
    * @return boxNumNotList
    */
    public List<String> getBoxNumNotList(){
        return this.boxNumNotList;
    }

    /**
    * 设置 箱体编号
    * @param boxNumNotList
    */
    public void setBoxNumNotList(List<String> boxNumNotList){
        this.boxNumNotList = boxNumNotList;
    }

    /**
    * 获取 开始 存件时间
    * @return storeDateStart
    */
    public String getStoreDateStart(){
        return this.storeDateStart;
    }

    /**
    * 设置 开始 存件时间
    * @param storeDateStart
    */
    public void setStoreDateStart(String storeDateStart){
        this.storeDateStart = storeDateStart;
    }

    /**
    * 获取 结束 存件时间
    * @return storeDateEnd
    */
    public String getStoreDateEnd(){
        return this.storeDateEnd;
    }

    /**
    * 设置 结束 存件时间
    * @param storeDateEnd
    */
    public void setStoreDateEnd(String storeDateEnd){
        this.storeDateEnd = storeDateEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public UserMatterApplyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public UserMatterApplyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public UserMatterApplyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public UserMatterApplyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public UserMatterApplyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public UserMatterApplyQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点id
    * @param userId
    */
    public UserMatterApplyQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param userIdStart
    */
    public UserMatterApplyQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param userIdEnd
    */
    public UserMatterApplyQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param userIdIncrement
    */
    public UserMatterApplyQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param userIdList
    */
    public UserMatterApplyQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

        /**
        * 设置 站点id
        * @param userIdNotList
        */
        public UserMatterApplyQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
        }

    /**
    * 设置  事项ID
    * @param matterId
    */
    public UserMatterApplyQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项ID
    * @param matterIdStart
    */
    public UserMatterApplyQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项ID
    * @param matterIdEnd
    */
    public UserMatterApplyQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项ID
    * @param matterIdIncrement
    */
    public UserMatterApplyQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项ID
    * @param matterIdList
    */
    public UserMatterApplyQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

        /**
        * 设置 事项ID
        * @param matterIdNotList
        */
        public UserMatterApplyQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
        }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public UserMatterApplyQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public UserMatterApplyQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


	/**
    * 设置 事项编码
    * @param matterCode
    */
    public UserMatterApplyQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public UserMatterApplyQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }


	/**
    * 设置 申报编号
    * @param applyCode
    */
    public UserMatterApplyQuery applyCode(String applyCode){
        setApplyCode(applyCode);
		return this;
    }

    /**
    * 设置 申报编号
    * @param applyCodeList
    */
    public UserMatterApplyQuery applyCodeList(List<String> applyCodeList){
        this.applyCodeList = applyCodeList;
		return this;
    }


	/**
    * 设置 申报地址
    * @param applyAddr
    */
    public UserMatterApplyQuery applyAddr(String applyAddr){
        setApplyAddr(applyAddr);
		return this;
    }

    /**
    * 设置 申报地址
    * @param applyAddrList
    */
    public UserMatterApplyQuery applyAddrList(List<String> applyAddrList){
        this.applyAddrList = applyAddrList;
		return this;
    }


	/**
    * 设置 申报设备名称
    * @param deviceName
    */
    public UserMatterApplyQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 申报设备名称
    * @param deviceNameList
    */
    public UserMatterApplyQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }


	/**
    * 设置 申请人姓名
    * @param applyPerson
    */
    public UserMatterApplyQuery applyPerson(String applyPerson){
        setApplyPerson(applyPerson);
		return this;
    }

    /**
    * 设置 申请人姓名
    * @param applyPersonList
    */
    public UserMatterApplyQuery applyPersonList(List<String> applyPersonList){
        this.applyPersonList = applyPersonList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param phoneNum
    */
    public UserMatterApplyQuery phoneNum(String phoneNum){
        setPhoneNum(phoneNum);
		return this;
    }

    /**
    * 设置 联系电话
    * @param phoneNumList
    */
    public UserMatterApplyQuery phoneNumList(List<String> phoneNumList){
        this.phoneNumList = phoneNumList;
		return this;
    }


	/**
    * 设置 证件号码
    * @param idCard
    */
    public UserMatterApplyQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 证件号码
    * @param idCardList
    */
    public UserMatterApplyQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }


	/**
    * 设置 事项所属部门
    * @param deptName
    */
    public UserMatterApplyQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 事项所属部门
    * @param deptNameList
    */
    public UserMatterApplyQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }


    /**
    * 设置  受理状态0未受理1已受理
    * @param status
    */
    public UserMatterApplyQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 受理状态0未受理1已受理
    * @param statusStart
    */
    public UserMatterApplyQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 受理状态0未受理1已受理
    * @param statusEnd
    */
    public UserMatterApplyQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 受理状态0未受理1已受理
    * @param statusIncrement
    */
    public UserMatterApplyQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 受理状态0未受理1已受理
    * @param statusList
    */
    public UserMatterApplyQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

        /**
        * 设置 受理状态0未受理1已受理
        * @param statusNotList
        */
        public UserMatterApplyQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
        }


	/**
    * 设置 申报方式
    * @param applyWay
    */
    public UserMatterApplyQuery applyWay(String applyWay){
        setApplyWay(applyWay);
		return this;
    }

    /**
    * 设置 申报方式
    * @param applyWayList
    */
    public UserMatterApplyQuery applyWayList(List<String> applyWayList){
        this.applyWayList = applyWayList;
		return this;
    }


	/**
    * 设置 存储设备
    * @param storeDevice
    */
    public UserMatterApplyQuery storeDevice(String storeDevice){
        setStoreDevice(storeDevice);
		return this;
    }

    /**
    * 设置 存储设备
    * @param storeDeviceList
    */
    public UserMatterApplyQuery storeDeviceList(List<String> storeDeviceList){
        this.storeDeviceList = storeDeviceList;
		return this;
    }


	/**
    * 设置 箱体编号
    * @param boxNum
    */
    public UserMatterApplyQuery boxNum(String boxNum){
        setBoxNum(boxNum);
		return this;
    }

    /**
    * 设置 箱体编号
    * @param boxNumList
    */
    public UserMatterApplyQuery boxNumList(List<String> boxNumList){
        this.boxNumList = boxNumList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public UserMatterApplyQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public UserMatterApplyQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public UserMatterApplyQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public UserMatterApplyQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public UserMatterApplyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public UserMatterApplyQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public UserMatterApplyQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public UserMatterApplyQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public UserMatterApplyQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public UserMatterApplyQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public UserMatterApplyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public UserMatterApplyQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<UserMatterApplyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<UserMatterApplyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<UserMatterApplyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<UserMatterApplyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}