package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.matter.model.UserMatterExamineEntity;
/**
* 用户申报事项审批查询对象
*
* @author zxfei
* @date 2023-04-11
*/
public class UserMatterExamineQuery extends UserMatterExamineEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 用户申报id */
    private Long applyrIdStart;

    /** 结束 用户申报id */
    private Long applyrIdEnd;

    /** 增加 用户申报id */
    private Long applyrIdIncrement;

    /** 用户申报id列表 */
    private List <Long> applyrIdList;

    /** 用户申报id排除列表 */
    private List <Long> applyrIdNotList;

    /** 受理人员 */
    private List<String> acceptPersonList;

    /** 受理人员排除列表 */
    private List <String> acceptPersonNotList;
    /** 开始 受理结果1通过2拒绝 */
    private Integer acceptResultStart;

    /** 结束 受理结果1通过2拒绝 */
    private Integer acceptResultEnd;

    /** 增加 受理结果1通过2拒绝 */
    private Integer acceptResultIncrement;

    /** 受理结果1通过2拒绝列表 */
    private List <Integer> acceptResultList;

    /** 受理结果1通过2拒绝排除列表 */
    private List <Integer> acceptResultNotList;

    /** 受理意见 */
    private List<String> acceptOpinionList;

    /** 受理意见排除列表 */
    private List <String> acceptOpinionNotList;
    /** 开始 受理时间 */
    private String acceptDateStart;

    /** 结束 受理时间 */
    private String acceptDateEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UserMatterExamineQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UserMatterExamineQuery> andConditionList;

    public UserMatterExamineQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 用户申报id
    * @return applyrIdStart
    */
    public Long getApplyrIdStart(){
        return this.applyrIdStart;
    }

    /**
    * 设置 开始 用户申报id
    * @param applyrIdStart
    */
    public void setApplyrIdStart(Long applyrIdStart){
        this.applyrIdStart = applyrIdStart;
    }

    /**
    * 获取 结束 用户申报id
    * @return $applyrIdEnd
    */
    public Long getApplyrIdEnd(){
        return this.applyrIdEnd;
    }

    /**
    * 设置 结束 用户申报id
    * @param applyrIdEnd
    */
    public void setApplyrIdEnd(Long applyrIdEnd){
        this.applyrIdEnd = applyrIdEnd;
    }

    /**
    * 获取 增加 用户申报id
    * @return applyrIdIncrement
    */
    public Long getApplyrIdIncrement(){
        return this.applyrIdIncrement;
    }

    /**
    * 设置 增加 用户申报id
    * @param applyrIdIncrement
    */
    public void setApplyrIdIncrement(Long applyrIdIncrement){
        this.applyrIdIncrement = applyrIdIncrement;
    }

    /**
    * 获取 用户申报id
    * @return applyrIdList
    */
    public List<Long> getApplyrIdList(){
        return this.applyrIdList;
    }

    /**
    * 设置 用户申报id
    * @param applyrIdList
    */
    public void setApplyrIdList(List<Long> applyrIdList){
        this.applyrIdList = applyrIdList;
    }

    /**
    * 获取 用户申报id
    * @return applyrIdNotList
    */
    public List<Long> getApplyrIdNotList(){
        return this.applyrIdNotList;
    }

    /**
    * 设置 用户申报id
    * @param applyrIdNotList
    */
    public void setApplyrIdNotList(List<Long> applyrIdNotList){
        this.applyrIdNotList = applyrIdNotList;
    }


    /**
    * 获取 受理人员
    * @return acceptPersonList
    */
    public List<String> getAcceptPersonList(){
        return this.acceptPersonList;
    }

    /**
    * 设置 受理人员
    * @param acceptPersonList
    */
    public void setAcceptPersonList(List<String> acceptPersonList){
        this.acceptPersonList = acceptPersonList;
    }

    /**
    * 获取 受理人员
    * @return acceptPersonNotList
    */
    public List<String> getAcceptPersonNotList(){
        return this.acceptPersonNotList;
    }

    /**
    * 设置 受理人员
    * @param acceptPersonNotList
    */
    public void setAcceptPersonNotList(List<String> acceptPersonNotList){
        this.acceptPersonNotList = acceptPersonNotList;
    }

    /**
    * 获取 开始 受理结果1通过2拒绝
    * @return acceptResultStart
    */
    public Integer getAcceptResultStart(){
        return this.acceptResultStart;
    }

    /**
    * 设置 开始 受理结果1通过2拒绝
    * @param acceptResultStart
    */
    public void setAcceptResultStart(Integer acceptResultStart){
        this.acceptResultStart = acceptResultStart;
    }

    /**
    * 获取 结束 受理结果1通过2拒绝
    * @return $acceptResultEnd
    */
    public Integer getAcceptResultEnd(){
        return this.acceptResultEnd;
    }

    /**
    * 设置 结束 受理结果1通过2拒绝
    * @param acceptResultEnd
    */
    public void setAcceptResultEnd(Integer acceptResultEnd){
        this.acceptResultEnd = acceptResultEnd;
    }

    /**
    * 获取 增加 受理结果1通过2拒绝
    * @return acceptResultIncrement
    */
    public Integer getAcceptResultIncrement(){
        return this.acceptResultIncrement;
    }

    /**
    * 设置 增加 受理结果1通过2拒绝
    * @param acceptResultIncrement
    */
    public void setAcceptResultIncrement(Integer acceptResultIncrement){
        this.acceptResultIncrement = acceptResultIncrement;
    }

    /**
    * 获取 受理结果1通过2拒绝
    * @return acceptResultList
    */
    public List<Integer> getAcceptResultList(){
        return this.acceptResultList;
    }

    /**
    * 设置 受理结果1通过2拒绝
    * @param acceptResultList
    */
    public void setAcceptResultList(List<Integer> acceptResultList){
        this.acceptResultList = acceptResultList;
    }

    /**
    * 获取 受理结果1通过2拒绝
    * @return acceptResultNotList
    */
    public List<Integer> getAcceptResultNotList(){
        return this.acceptResultNotList;
    }

    /**
    * 设置 受理结果1通过2拒绝
    * @param acceptResultNotList
    */
    public void setAcceptResultNotList(List<Integer> acceptResultNotList){
        this.acceptResultNotList = acceptResultNotList;
    }


    /**
    * 获取 受理意见
    * @return acceptOpinionList
    */
    public List<String> getAcceptOpinionList(){
        return this.acceptOpinionList;
    }

    /**
    * 设置 受理意见
    * @param acceptOpinionList
    */
    public void setAcceptOpinionList(List<String> acceptOpinionList){
        this.acceptOpinionList = acceptOpinionList;
    }

    /**
    * 获取 受理意见
    * @return acceptOpinionNotList
    */
    public List<String> getAcceptOpinionNotList(){
        return this.acceptOpinionNotList;
    }

    /**
    * 设置 受理意见
    * @param acceptOpinionNotList
    */
    public void setAcceptOpinionNotList(List<String> acceptOpinionNotList){
        this.acceptOpinionNotList = acceptOpinionNotList;
    }

    /**
    * 获取 开始 受理时间
    * @return acceptDateStart
    */
    public String getAcceptDateStart(){
        return this.acceptDateStart;
    }

    /**
    * 设置 开始 受理时间
    * @param acceptDateStart
    */
    public void setAcceptDateStart(String acceptDateStart){
        this.acceptDateStart = acceptDateStart;
    }

    /**
    * 获取 结束 受理时间
    * @return acceptDateEnd
    */
    public String getAcceptDateEnd(){
        return this.acceptDateEnd;
    }

    /**
    * 设置 结束 受理时间
    * @param acceptDateEnd
    */
    public void setAcceptDateEnd(String acceptDateEnd){
        this.acceptDateEnd = acceptDateEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public UserMatterExamineQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public UserMatterExamineQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public UserMatterExamineQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public UserMatterExamineQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public UserMatterExamineQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public UserMatterExamineQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  用户申报id
    * @param applyrId
    */
    public UserMatterExamineQuery applyrId(Long applyrId){
	    setApplyrId(applyrId);
		return this;
    }
	
	 /**
    * 设置 开始 用户申报id
    * @param applyrIdStart
    */
    public UserMatterExamineQuery applyrIdStart(Long applyrIdStart){
		this.applyrIdStart = applyrIdStart;
		return this;
    }

    /**
    * 设置 结束 用户申报id
    * @param applyrIdEnd
    */
    public UserMatterExamineQuery applyrIdEnd(Long applyrIdEnd){
		this.applyrIdEnd = applyrIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户申报id
    * @param applyrIdIncrement
    */
    public UserMatterExamineQuery applyrIdIncrement(Long applyrIdIncrement){
		this.applyrIdIncrement = applyrIdIncrement;
		return this;
    }

    /**
    * 设置 用户申报id
    * @param applyrIdList
    */
    public UserMatterExamineQuery applyrIdList(List<Long> applyrIdList){
        this.applyrIdList = applyrIdList;
		return this;
        }

        /**
        * 设置 用户申报id
        * @param applyrIdNotList
        */
        public UserMatterExamineQuery applyrIdNotList(List<Long> applyrIdNotList){
        this.applyrIdNotList = applyrIdNotList;
        return this;
        }


	/**
    * 设置 受理人员
    * @param acceptPerson
    */
    public UserMatterExamineQuery acceptPerson(String acceptPerson){
        setAcceptPerson(acceptPerson);
		return this;
    }

    /**
    * 设置 受理人员
    * @param acceptPersonList
    */
    public UserMatterExamineQuery acceptPersonList(List<String> acceptPersonList){
        this.acceptPersonList = acceptPersonList;
		return this;
    }

    /**
    * 设置  受理结果1通过2拒绝
    * @param acceptResult
    */
    public UserMatterExamineQuery acceptResult(Integer acceptResult){
	    setAcceptResult(acceptResult);
		return this;
    }
	
	 /**
    * 设置 开始 受理结果1通过2拒绝
    * @param acceptResultStart
    */
    public UserMatterExamineQuery acceptResultStart(Integer acceptResultStart){
		this.acceptResultStart = acceptResultStart;
		return this;
    }

    /**
    * 设置 结束 受理结果1通过2拒绝
    * @param acceptResultEnd
    */
    public UserMatterExamineQuery acceptResultEnd(Integer acceptResultEnd){
		this.acceptResultEnd = acceptResultEnd;
		return this;
    }

    /**
    * 设置 增加 受理结果1通过2拒绝
    * @param acceptResultIncrement
    */
    public UserMatterExamineQuery acceptResultIncrement(Integer acceptResultIncrement){
		this.acceptResultIncrement = acceptResultIncrement;
		return this;
    }

    /**
    * 设置 受理结果1通过2拒绝
    * @param acceptResultList
    */
    public UserMatterExamineQuery acceptResultList(List<Integer> acceptResultList){
        this.acceptResultList = acceptResultList;
		return this;
        }

        /**
        * 设置 受理结果1通过2拒绝
        * @param acceptResultNotList
        */
        public UserMatterExamineQuery acceptResultNotList(List<Integer> acceptResultNotList){
        this.acceptResultNotList = acceptResultNotList;
        return this;
        }


	/**
    * 设置 受理意见
    * @param acceptOpinion
    */
    public UserMatterExamineQuery acceptOpinion(String acceptOpinion){
        setAcceptOpinion(acceptOpinion);
		return this;
    }

    /**
    * 设置 受理意见
    * @param acceptOpinionList
    */
    public UserMatterExamineQuery acceptOpinionList(List<String> acceptOpinionList){
        this.acceptOpinionList = acceptOpinionList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public UserMatterExamineQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public UserMatterExamineQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public UserMatterExamineQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public UserMatterExamineQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public UserMatterExamineQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public UserMatterExamineQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public UserMatterExamineQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public UserMatterExamineQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public UserMatterExamineQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public UserMatterExamineQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public UserMatterExamineQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public UserMatterExamineQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<UserMatterExamineQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<UserMatterExamineQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<UserMatterExamineQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<UserMatterExamineQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}