package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.DatumLibraryEntity;
/**
* DatumLibraryService
*
* 站点材料公共库 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface DatumLibraryService extends ICRUDService<DatumLibraryEntity,Long>{

    /**
     * 添加公共库到材料
     *
     * @param libraryIds
     * @param context
     */
    Rest<String> addToMatterDatum(String libraryIds, Long matterId, Context context);

}