package com.mortals.xhx.module.sst.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sst.model.vo.SstAgreementVo;
import lombok.Data;
/**
 * 协议管理实体对象
 *
 * @author zxfei
 * @date 2023-07-10
 */
@Data
public class SstAgreementEntity extends SstAgreementVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 协议名称
     */
    private String name;
    /**
     * 协议描述
     */
    private String describe;
    /**
     * 协议内容
     */
    private String content;
    /**
     * 协议类型
     */
    private Integer protocolType;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SstAgreementEntity) {
            SstAgreementEntity tmp = (SstAgreementEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.name = "";

        this.describe = "";

        this.content = "";

        this.protocolType = 1;
    }
}