package com.mortals.xhx.module.sst.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.sst.model.SstAgreementEntity;
import com.mortals.xhx.module.sst.service.SstAgreementService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 协议管理
*
* @author zxfei
* @date 2022-12-21
*/
@RestController
@RequestMapping("agreement")
public class SstAgreementController extends BaseCRUDJsonBodyMappingController<SstAgreementService,SstAgreementEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SstAgreementController(){
        super.setModuleDesc( "协议管理");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "protocolType", paramService.getParamBySecondOrganize("SstAgreement","protocolType"));
        super.init(model, context);
    }


}