package com.mortals.xhx.common.pdu.app;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

@Data
public class DeviceBlackappPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 设备id
     */
    private Long deviceId;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 应用id
     */
    private Long appId;
    /**
     * 应用编码
     */
    private String appCode;
    /**
     * 应用名称
     */
    private String appName;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceBlackappPdu) {
            DeviceBlackappPdu tmp = (DeviceBlackappPdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = null;

        this.deviceId = null;

        this.deviceCode = "";

        this.deviceName = "";

        this.appId = null;

        this.appCode = "";

        this.appName = null;
    }
}
