package com.mortals.xhx.common.pdu.matter;

import com.mortals.framework.model.BaseEntityLong;

import java.util.List;

public class MatterChargesPdu extends BaseEntityLong {

    private static final long serialVersionUID = 1L;

    /**
     * 事项基础表matter id
     */
    private Long matterId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 收费标准
     */
    private String content;
    /**
     * 事项来源，(0.政务网，1.自定义)
     */
    private Integer source;

    /** 主键，自增长列表 */
    private List<Long> idList;


    public Long getMatterId() {
        return matterId;
    }

    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }

    public String getMatterCode() {
        return matterCode;
    }

    public void setMatterCode(String matterCode) {
        this.matterCode = matterCode;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public List<Long> getIdList() {
        return idList;
    }

    public void setIdList(List<Long> idList) {
        this.idList = idList;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterChargesPdu) {
            MatterChargesPdu tmp = (MatterChargesPdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",content:").append(getContent());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.matterId = 0L;

        this.matterCode = "";

        this.matterName = "";

        this.content = "";

        this.source = 0;
    }
}
