package com.mortals.xhx.common.pdu.site;

import com.mortals.framework.model.BaseEntityLong;

public class SiteThemePdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 服务类型编号
     */
    private String userType;
    /**
     * 主题编号
     */
    private String themeCode;
    /**
     * 主题名称
     */
    private String themeName;



    public SiteThemePdu(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 服务类型编号
     * @return String
     */
    public String getUserType(){
        return userType;
    }
    /**
     * 设置 服务类型编号
     * @param userType
     */
    public void setUserType(String userType){
        this.userType = userType;
    }
    /**
     * 获取 主题编号
     * @return String
     */
    public String getThemeCode(){
        return themeCode;
    }
    /**
     * 设置 主题编号
     * @param themeCode
     */
    public void setThemeCode(String themeCode){
        this.themeCode = themeCode;
    }
    /**
     * 获取 主题名称
     * @return String
     */
    public String getThemeName(){
        return themeName;
    }
    /**
     * 设置 主题名称
     * @param themeName
     */
    public void setThemeName(String themeName){
        this.themeName = themeName;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteThemePdu) {
            SiteThemePdu tmp = (SiteThemePdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",userType:").append(getUserType());
        sb.append(",themeCode:").append(getThemeCode());
        sb.append(",themeName:").append(getThemeName());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.userType = null;

        this.themeCode = null;

        this.themeName = null;
    }
}
