package com.mortals.xhx.module.apps.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.apps.model.AppsInfoEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 应用信息视图对象
*
* @author zxfei
* @date 2022-12-26
*/
@Data
public class AppsInfoVo extends BaseEntityLong {
    private Long siteId;
    /**
     * 服务接口地址
     */
    private String serviceApi;
    /**
     * 类型(1.应用程序,2.url)
     */
    private Integer appType;

    /**
     * 自主应用访问地址
     */
    private String custUrl;

    /**
     * 应用主题id
     */
    private String appThemeName;
    /**
     * 应用点击次数
     */
    private Integer clickSum;
}