package com.mortals.xhx.module.converge.dao.ibatis;


import com.mortals.xhx.module.converge.model.vo.InterfaceStatsVO;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.converge.dao.ConvergeAppsInterfaceDao;
import com.mortals.xhx.module.converge.model.ConvergeAppsInterfaceEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 应用接口DaoImpl DAO接口
*
* @author zxfei
* @date 2023-08-17
*/
@Repository("convergeAppsInterfaceDao")
public class ConvergeAppsInterfaceDaoImpl extends BaseCRUDDaoMybatis<ConvergeAppsInterfaceEntity,Long> implements ConvergeAppsInterfaceDao {


    @Override
    public List<InterfaceStatsVO> getTotalInvokeSum(ConvergeAppsInterfaceEntity query) {
        return this.getSqlSession().selectList(this.getSqlId("getTotalInvokeSum"),query);
    }
}
