package com.mortals.xhx.module.converge.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.converge.model.vo.ConvergeAppsInterfaceVo;
import lombok.Data;
/**
* 应用接口实体对象
*
* @author zxfei
* @date 2023-08-17
*/
@Data
public class ConvergeAppsInterfaceEntity extends ConvergeAppsInterfaceVo {
    private static final long serialVersionUID = 1L;

    /**
    * 应用ID
    */
    private String applicationId;
    /**
    * 接口标识
    */
    private String interfaceUniqueId;
    /**
    * 接口名称
    */
    private String interfaceName;
    /**
    * 接口调用次数
    */
    private Integer totalInvokeSum;
    /**
    * 设备唯一标识
    */
    private String ecode;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConvergeAppsInterfaceEntity) {
            ConvergeAppsInterfaceEntity tmp = (ConvergeAppsInterfaceEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.applicationId = "";

            this.interfaceUniqueId = "";

            this.interfaceName = "";

            this.totalInvokeSum = -1;

            this.ecode = "";
    }
}