package com.mortals.xhx.module.converge.model.vo;

import lombok.Data;

import java.util.List;

/**
 * 网点信息
 */
@Data
public class BranchVO {
    /**
     * 网点名称
     */
    private String branchName;
    /**
     * 网点标识
     */
    private String branchLogo;
    /**
     * 网点服务状态，正常Y异常N
     */
    private String status;
    /**
     * 网点服务时间
     */
    private String serverTime;
    /**
     * 网点咨询电话
     */
    private String consultPhone;
    /**
     * 网点类型
     */
    private String branchStyle;
    /**
     * 网点地址
     */
    private String address;
    /**
     * 操作类型
     */
    private String opr;

    private List<EquipmentVO> equipments;
}
