package com.mortals.xhx.module.converge.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.converge.model.ConvergeAppsInterfaceEntity;
import com.mortals.xhx.module.converge.dao.ConvergeAppsInterfaceDao;
import com.mortals.xhx.module.converge.model.vo.InterfaceStatsVO;

import java.util.List;

/**
* ConvergeAppsInterfaceService
*
* 应用接口 service接口
*
* @author zxfei
* @date 2023-08-17
*/
public interface ConvergeAppsInterfaceService extends ICRUDService<ConvergeAppsInterfaceEntity,Long>{

    ConvergeAppsInterfaceDao getDao();

    /***
     * 获取接口访问次数统计
     * @param query
     * @return
     */
    List<InterfaceStatsVO> getTotalInvokeSum(ConvergeAppsInterfaceEntity query) throws AppException;
}