package com.mortals.xhx.module.converge.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.converge.model.ConvergeAppsAccessEntity;
import com.mortals.xhx.module.converge.model.ConvergeAppsEntity;
import com.mortals.xhx.module.converge.dao.ConvergeAppsDao;

import java.util.Map;

/**
* ConvergeAppsService
*
* 设备应用 service接口
*
* @author zxfei
* @date 2023-06-12
*/
public interface ConvergeAppsService extends ICRUDService<ConvergeAppsEntity,Long>{

    ConvergeAppsDao getDao();

    /**
     * 天府通办数据汇聚
     * @throws AppException
     */
    void doConvergeApps(Map<String,String> condition) throws AppException;
}