package com.mortals.xhx.module.converge.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.converge.model.ConvergeSiteEntity;
import com.mortals.xhx.module.converge.dao.ConvergeSiteDao;
import com.mortals.xhx.module.converge.model.vo.BranchVO;

import java.util.List;

/**
* ConvergeSiteService
*
* 网点信息 service接口
*
* @author zxfei
* @date 2023-06-12
*/
public interface ConvergeSiteService extends ICRUDService<ConvergeSiteEntity,Long>{

    ConvergeSiteDao getDao();

    /**
     * 天府通办数据汇聚
     * @throws AppException
     */
    void doConvergeSite() throws AppException;

    /**
     * 获取汇聚后的数据
     * @return
     * @throws AppException
     */
    List<BranchVO> getConvergeData() throws AppException;
}