package com.mortals.xhx.module.converge.service.impl;
import com.mortals.xhx.module.converge.model.vo.InterfaceStatsVO;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.converge.dao.ConvergeAppsInterfaceDao;
import com.mortals.xhx.module.converge.model.ConvergeAppsInterfaceEntity;
import com.mortals.xhx.module.converge.service.ConvergeAppsInterfaceService;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
* ConvergeAppsInterfaceService
* 应用接口 service实现
*
* @author zxfei
* @date 2023-08-17
*/
@Service("convergeAppsInterfaceService")
@Slf4j
public class ConvergeAppsInterfaceServiceImpl extends AbstractCRUDServiceImpl<ConvergeAppsInterfaceDao, ConvergeAppsInterfaceEntity, Long> implements ConvergeAppsInterfaceService {

    @Override
    public List<InterfaceStatsVO> getTotalInvokeSum(ConvergeAppsInterfaceEntity query) throws AppException {
        return dao.getTotalInvokeSum(query);
    }
}