package com.mortals.xhx.module.device.model.vo;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
import org.apache.poi.ss.usermodel.PictureData;

import java.util.List;
/**
* 设备视图对象
*
* @author zxfei
* @date 2022-07-01
*/
@Data
public class DeviceVo extends BaseEntityLong {
    /**
     * 唯一标识
     */
    private String token;

    /**
     * 平台编码
     */
    private String platformCode;




    /**
     * 是否通知第三方
     */
    private Boolean switchSend=true;

    /**
     * 设备图片附件
     */
    @Excel(name = "设备图片", type = Excel.Type.IMPORT, cellType = Excel.ColumnType.IMAGE)
    @JSONField(deserialize = false,serialize = false)
    @JsonIgnore
    private PictureData picObj;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /**
     * 产品列表
     */
    private List <Long> productIdList;


    private List <Integer> deviceStatusList;


}