package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.UserMatterDetailsEntity;
/**
* 用户申报明细查询对象
*
* @author zxfei
* @date 2023-04-11
*/
public class UserMatterDetailsQuery extends UserMatterDetailsEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 用户申报id */
    private Long applyrIdStart;

    /** 结束 用户申报id */
    private Long applyrIdEnd;

    /** 增加 用户申报id */
    private Long applyrIdIncrement;

    /** 用户申报id列表 */
    private List <Long> applyrIdList;

    /** 用户申报id排除列表 */
    private List <Long> applyrIdNotList;

    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id列表 */
    private List <Long> datumIdList;

    /** 材料id排除列表 */
    private List <Long> datumIdNotList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 材料简称 */
    private List<String> shortNameList;

    /** 材料简称排除列表 */
    private List <String> shortNameNotList;
    /** 材料全称 */
    private List<String> fullNameList;

    /** 材料全称排除列表 */
    private List <String> fullNameNotList;
    /** 附件名称 */
    private List<String> fileNameList;

    /** 附件名称排除列表 */
    private List <String> fileNameNotList;
    /** 文件预览地址 */
    private List<String> previewUrlList;

    /** 文件预览地址排除列表 */
    private List <String> previewUrlNotList;
    /** 填单表单内容 */
    private List<String> formContentList;

    /** 填单表单内容排除列表 */
    private List <String> formContentNotList;
    /** 填单表单模板 */
    private List<String> formTemplateList;

    /** 填单表单模板排除列表 */
    private List <String> formTemplateNotList;
    /** 模板文件地址 */
    private List<String> templateUrlList;

    /** 模板文件地址排除列表 */
    private List <String> templateUrlNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UserMatterDetailsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UserMatterDetailsQuery> andConditionList;

    public UserMatterDetailsQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 用户申报id
    * @return applyrIdStart
    */
    public Long getApplyrIdStart(){
        return this.applyrIdStart;
    }

    /**
    * 设置 开始 用户申报id
    * @param applyrIdStart
    */
    public void setApplyrIdStart(Long applyrIdStart){
        this.applyrIdStart = applyrIdStart;
    }

    /**
    * 获取 结束 用户申报id
    * @return $applyrIdEnd
    */
    public Long getApplyrIdEnd(){
        return this.applyrIdEnd;
    }

    /**
    * 设置 结束 用户申报id
    * @param applyrIdEnd
    */
    public void setApplyrIdEnd(Long applyrIdEnd){
        this.applyrIdEnd = applyrIdEnd;
    }

    /**
    * 获取 增加 用户申报id
    * @return applyrIdIncrement
    */
    public Long getApplyrIdIncrement(){
        return this.applyrIdIncrement;
    }

    /**
    * 设置 增加 用户申报id
    * @param applyrIdIncrement
    */
    public void setApplyrIdIncrement(Long applyrIdIncrement){
        this.applyrIdIncrement = applyrIdIncrement;
    }

    /**
    * 获取 用户申报id
    * @return applyrIdList
    */
    public List<Long> getApplyrIdList(){
        return this.applyrIdList;
    }

    /**
    * 设置 用户申报id
    * @param applyrIdList
    */
    public void setApplyrIdList(List<Long> applyrIdList){
        this.applyrIdList = applyrIdList;
    }

    /**
    * 获取 用户申报id
    * @return applyrIdNotList
    */
    public List<Long> getApplyrIdNotList(){
        return this.applyrIdNotList;
    }

    /**
    * 设置 用户申报id
    * @param applyrIdNotList
    */
    public void setApplyrIdNotList(List<Long> applyrIdNotList){
        this.applyrIdNotList = applyrIdNotList;
    }


    /**
    * 获取 开始 材料id
    * @return datumIdStart
    */
    public Long getDatumIdStart(){
        return this.datumIdStart;
    }

    /**
    * 设置 开始 材料id
    * @param datumIdStart
    */
    public void setDatumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
    }

    /**
    * 获取 结束 材料id
    * @return $datumIdEnd
    */
    public Long getDatumIdEnd(){
        return this.datumIdEnd;
    }

    /**
    * 设置 结束 材料id
    * @param datumIdEnd
    */
    public void setDatumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
    }

    /**
    * 获取 增加 材料id
    * @return datumIdIncrement
    */
    public Long getDatumIdIncrement(){
        return this.datumIdIncrement;
    }

    /**
    * 设置 增加 材料id
    * @param datumIdIncrement
    */
    public void setDatumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
    }

    /**
    * 获取 材料id
    * @return datumIdList
    */
    public List<Long> getDatumIdList(){
        return this.datumIdList;
    }

    /**
    * 设置 材料id
    * @param datumIdList
    */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
    }

    /**
    * 获取 材料id
    * @return datumIdNotList
    */
    public List<Long> getDatumIdNotList(){
        return this.datumIdNotList;
    }

    /**
    * 设置 材料id
    * @param datumIdNotList
    */
    public void setDatumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
    }


    /**
    * 获取 开始 事项id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项id
    * @return matterIdNotList
    */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
    * 设置 事项id
    * @param matterIdNotList
    */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
    * 获取 事项编码
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeNotList
    */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeNotList
    */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
    * 获取 材料简称
    * @return shortNameList
    */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
    * 设置 材料简称
    * @param shortNameList
    */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }

    /**
    * 获取 材料简称
    * @return shortNameNotList
    */
    public List<String> getShortNameNotList(){
        return this.shortNameNotList;
    }

    /**
    * 设置 材料简称
    * @param shortNameNotList
    */
    public void setShortNameNotList(List<String> shortNameNotList){
        this.shortNameNotList = shortNameNotList;
    }

    /**
    * 获取 材料全称
    * @return fullNameList
    */
    public List<String> getFullNameList(){
        return this.fullNameList;
    }

    /**
    * 设置 材料全称
    * @param fullNameList
    */
    public void setFullNameList(List<String> fullNameList){
        this.fullNameList = fullNameList;
    }

    /**
    * 获取 材料全称
    * @return fullNameNotList
    */
    public List<String> getFullNameNotList(){
        return this.fullNameNotList;
    }

    /**
    * 设置 材料全称
    * @param fullNameNotList
    */
    public void setFullNameNotList(List<String> fullNameNotList){
        this.fullNameNotList = fullNameNotList;
    }

    /**
    * 获取 附件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 附件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
    * 获取 附件名称
    * @return fileNameNotList
    */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
    * 设置 附件名称
    * @param fileNameNotList
    */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
    * 获取 文件预览地址
    * @return previewUrlList
    */
    public List<String> getPreviewUrlList(){
        return this.previewUrlList;
    }

    /**
    * 设置 文件预览地址
    * @param previewUrlList
    */
    public void setPreviewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
    }

    /**
    * 获取 文件预览地址
    * @return previewUrlNotList
    */
    public List<String> getPreviewUrlNotList(){
        return this.previewUrlNotList;
    }

    /**
    * 设置 文件预览地址
    * @param previewUrlNotList
    */
    public void setPreviewUrlNotList(List<String> previewUrlNotList){
        this.previewUrlNotList = previewUrlNotList;
    }

    /**
    * 获取 填单表单内容
    * @return formContentList
    */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
    * 设置 填单表单内容
    * @param formContentList
    */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
    * 获取 填单表单内容
    * @return formContentNotList
    */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
    * 设置 填单表单内容
    * @param formContentNotList
    */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
    * 获取 填单表单模板
    * @return formTemplateList
    */
    public List<String> getFormTemplateList(){
        return this.formTemplateList;
    }

    /**
    * 设置 填单表单模板
    * @param formTemplateList
    */
    public void setFormTemplateList(List<String> formTemplateList){
        this.formTemplateList = formTemplateList;
    }

    /**
    * 获取 填单表单模板
    * @return formTemplateNotList
    */
    public List<String> getFormTemplateNotList(){
        return this.formTemplateNotList;
    }

    /**
    * 设置 填单表单模板
    * @param formTemplateNotList
    */
    public void setFormTemplateNotList(List<String> formTemplateNotList){
        this.formTemplateNotList = formTemplateNotList;
    }

    /**
    * 获取 模板文件地址
    * @return templateUrlList
    */
    public List<String> getTemplateUrlList(){
        return this.templateUrlList;
    }

    /**
    * 设置 模板文件地址
    * @param templateUrlList
    */
    public void setTemplateUrlList(List<String> templateUrlList){
        this.templateUrlList = templateUrlList;
    }

    /**
    * 获取 模板文件地址
    * @return templateUrlNotList
    */
    public List<String> getTemplateUrlNotList(){
        return this.templateUrlNotList;
    }

    /**
    * 设置 模板文件地址
    * @param templateUrlNotList
    */
    public void setTemplateUrlNotList(List<String> templateUrlNotList){
        this.templateUrlNotList = templateUrlNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public UserMatterDetailsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public UserMatterDetailsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public UserMatterDetailsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public UserMatterDetailsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public UserMatterDetailsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public UserMatterDetailsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  用户申报id
    * @param applyrId
    */
    public UserMatterDetailsQuery applyrId(Long applyrId){
	    setApplyrId(applyrId);
		return this;
    }
	
	 /**
    * 设置 开始 用户申报id
    * @param applyrIdStart
    */
    public UserMatterDetailsQuery applyrIdStart(Long applyrIdStart){
		this.applyrIdStart = applyrIdStart;
		return this;
    }

    /**
    * 设置 结束 用户申报id
    * @param applyrIdEnd
    */
    public UserMatterDetailsQuery applyrIdEnd(Long applyrIdEnd){
		this.applyrIdEnd = applyrIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户申报id
    * @param applyrIdIncrement
    */
    public UserMatterDetailsQuery applyrIdIncrement(Long applyrIdIncrement){
		this.applyrIdIncrement = applyrIdIncrement;
		return this;
    }

    /**
    * 设置 用户申报id
    * @param applyrIdList
    */
    public UserMatterDetailsQuery applyrIdList(List<Long> applyrIdList){
        this.applyrIdList = applyrIdList;
		return this;
        }

        /**
        * 设置 用户申报id
        * @param applyrIdNotList
        */
        public UserMatterDetailsQuery applyrIdNotList(List<Long> applyrIdNotList){
        this.applyrIdNotList = applyrIdNotList;
        return this;
        }

    /**
    * 设置  材料id
    * @param datumId
    */
    public UserMatterDetailsQuery datumId(Long datumId){
	    setDatumId(datumId);
		return this;
    }
	
	 /**
    * 设置 开始 材料id
    * @param datumIdStart
    */
    public UserMatterDetailsQuery datumIdStart(Long datumIdStart){
		this.datumIdStart = datumIdStart;
		return this;
    }

    /**
    * 设置 结束 材料id
    * @param datumIdEnd
    */
    public UserMatterDetailsQuery datumIdEnd(Long datumIdEnd){
		this.datumIdEnd = datumIdEnd;
		return this;
    }

    /**
    * 设置 增加 材料id
    * @param datumIdIncrement
    */
    public UserMatterDetailsQuery datumIdIncrement(Long datumIdIncrement){
		this.datumIdIncrement = datumIdIncrement;
		return this;
    }

    /**
    * 设置 材料id
    * @param datumIdList
    */
    public UserMatterDetailsQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
		return this;
        }

        /**
        * 设置 材料id
        * @param datumIdNotList
        */
        public UserMatterDetailsQuery datumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
        return this;
        }

    /**
    * 设置  事项id
    * @param matterId
    */
    public UserMatterDetailsQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public UserMatterDetailsQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public UserMatterDetailsQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public UserMatterDetailsQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public UserMatterDetailsQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

        /**
        * 设置 事项id
        * @param matterIdNotList
        */
        public UserMatterDetailsQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
        }


	/**
    * 设置 事项编码
    * @param matterCode
    */
    public UserMatterDetailsQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public UserMatterDetailsQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }


	/**
    * 设置 材料简称
    * @param shortName
    */
    public UserMatterDetailsQuery shortName(String shortName){
        setShortName(shortName);
		return this;
    }

    /**
    * 设置 材料简称
    * @param shortNameList
    */
    public UserMatterDetailsQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
		return this;
    }


	/**
    * 设置 材料全称
    * @param fullName
    */
    public UserMatterDetailsQuery fullName(String fullName){
        setFullName(fullName);
		return this;
    }

    /**
    * 设置 材料全称
    * @param fullNameList
    */
    public UserMatterDetailsQuery fullNameList(List<String> fullNameList){
        this.fullNameList = fullNameList;
		return this;
    }


	/**
    * 设置 附件名称
    * @param fileName
    */
    public UserMatterDetailsQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 附件名称
    * @param fileNameList
    */
    public UserMatterDetailsQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 文件预览地址
    * @param previewUrl
    */
    public UserMatterDetailsQuery previewUrl(String previewUrl){
        setPreviewUrl(previewUrl);
		return this;
    }

    /**
    * 设置 文件预览地址
    * @param previewUrlList
    */
    public UserMatterDetailsQuery previewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
		return this;
    }


	/**
    * 设置 填单表单内容
    * @param formContent
    */
    public UserMatterDetailsQuery formContent(String formContent){
        setFormContent(formContent);
		return this;
    }

    /**
    * 设置 填单表单内容
    * @param formContentList
    */
    public UserMatterDetailsQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
		return this;
    }


	/**
    * 设置 填单表单模板
    * @param formTemplate
    */
    public UserMatterDetailsQuery formTemplate(String formTemplate){
        setFormTemplate(formTemplate);
		return this;
    }

    /**
    * 设置 填单表单模板
    * @param formTemplateList
    */
    public UserMatterDetailsQuery formTemplateList(List<String> formTemplateList){
        this.formTemplateList = formTemplateList;
		return this;
    }


	/**
    * 设置 模板文件地址
    * @param templateUrl
    */
    public UserMatterDetailsQuery templateUrl(String templateUrl){
        setTemplateUrl(templateUrl);
		return this;
    }

    /**
    * 设置 模板文件地址
    * @param templateUrlList
    */
    public UserMatterDetailsQuery templateUrlList(List<String> templateUrlList){
        this.templateUrlList = templateUrlList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public UserMatterDetailsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public UserMatterDetailsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public UserMatterDetailsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public UserMatterDetailsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public UserMatterDetailsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public UserMatterDetailsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public UserMatterDetailsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public UserMatterDetailsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public UserMatterDetailsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public UserMatterDetailsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public UserMatterDetailsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public UserMatterDetailsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<UserMatterDetailsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<UserMatterDetailsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<UserMatterDetailsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<UserMatterDetailsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}