package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
/**
* MatterDatumService
*
* 事项申请材料业务 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface MatterDatumService extends ICRUDService<MatterDatumEntity,Long>{

    /**
     * 添加材料到公共库
     *
     * @param datumIds
     * @param context
     */
    Rest<String> addToLibrary(String datumIds, Context context);
}